#!/usr/bin/env python3 
import json 
import re
from os import path

class ZipCode:
  def __init__(self) -> None:
    # LOAD ZIP CODE
    #with open('mnzipcode/zip.json', 'r') as f: 
    #  zip_contents = f.read()

    self.zip_codes: dict = [
      {"label": "Улаанбаатар", "zipcode": "11000", "sub_items": [{"label": "Багануур дүүрэг", "zipcode": "12000", "sub_items": [{"label": "Хэрлэн голын хөвөө-1", "zipcode": "12001"}, {"label": "Улаан эрэг", "zipcode": "12002"}, {"label": "Нарийн нуур", "zipcode": "12003"}, {"label": "Нугийн тал", "zipcode": "12004"}, {"label": "Тариан булаг-1", "zipcode": "12005"}, {"label": "Тариан булаг-2", "zipcode": "12006"}, {"label": "Хэрлэн голын хөвөө-2", "zipcode": "12007"}, {"label": "Хүрмэнтийн хөндий", "zipcode": "12008"}, {"label": "Дунд байдлаг", "zipcode": "12009"}, {"label": "Талын толгой", "zipcode": "12010"}, {"label": "Тогос уул", "zipcode": "12020"}, {"label": "Их гүн", "zipcode": "12030"}, {"label": "Хэрлэн", "zipcode": "12040"}, {"label": "Бага гүн", "zipcode": "12050"}, {"label": "Байдлаг", "zipcode": "12060"}, {"label": "Нарийн", "zipcode": "12070"}, {"label": "Рашаант", "zipcode": "12080"}, {"label": "Наран хороолол-1", "zipcode": "12090"}, {"label": "Наран хороолол-2", "zipcode": "12091"}, {"label": "Залуус хэсэг", "zipcode": "12100"}, {"label": "Хилчин", "zipcode": "12110"}, {"label": "Жаргалант", "zipcode": "12120"}, {"label": "Сургалтын задгай", "zipcode": "12130"}, {"label": "Хуцаа", "zipcode": "12140"}, {"label": "Үйлдвэрийн хэсэг-2", "zipcode": "12150"}, {"label": "Үйлдвэрийн хэсэг-3", "zipcode": "12151"}, {"label": "Замчин", "zipcode": "12160"}, {"label": "Үйлдвэрийн хэсэг-1", "zipcode": "12170"}, {"label": "Нүүрэнтэйн хөндий", "zipcode": "12171"}, {"label": "Улаан ухаа", "zipcode": "12200"}, {"label": "Нуур хороолол", "zipcode": "12210"}, {"label": "Суурьшилгүй бүс", "zipcode": "12211"}, {"label": "Суурьшилгүй бүс", "zipcode": "12212"}, {"label": "Булагтай", "zipcode": "12213"}]}, {"label": "Багахангай дүүрэг", "zipcode": "12300", "sub_items": [{"label": "Хангайн хөндий", "zipcode": "12301"}, {"label": "Суурьшилгүй бүс", "zipcode": "12302"}, {"label": "Суурьшилгүй бүс", "zipcode": "12305"}, {"label": "Єртєєний хэсэг", "zipcode": "12310"}, {"label": "Бор үзүүр", "zipcode": "12311"}, {"label": "Нуур", "zipcode": "12312"}, {"label": "Цайдам", "zipcode": "12313"}, {"label": "Замчин", "zipcode": "12314"}, {"label": "Аеродромын хэсэг", "zipcode": "12320"}, {"label": "Єндєртолгой", "zipcode": "12330"}, {"label": "Үйлдвэрийн хэсэг", "zipcode": "12340"}, {"label": "Алтгана", "zipcode": "12350"}, {"label": "Үнэгтэй", "zipcode": "12360"}]}, {"label": "Налайх дүүрэг", "zipcode": "12600", "sub_items": [{"label": "Өндөр улаан", "zipcode": "12591"}, {"label": "Баян давааны энгэр", "zipcode": "12592"}, {"label": "Цонжин болдог", "zipcode": "12593"}, {"label": "Тулгат гацаа", "zipcode": "12594"}, {"label": "Агуйт", "zipcode": "12595"}, {"label": "100 мод", "zipcode": "12596"}, {"label": "Цагаан овоо", "zipcode": "12597"}, {"label": "Ёлын ам", "zipcode": "12598"}, {"label": "Элстэй", "zipcode": "12599"}, {"label": "Тэрэлжийн бага ёл", "zipcode": "12601"}, {"label": "Гандан ам", "zipcode": "12602"}, {"label": "Гялаан мөс", "zipcode": "12603"}, {"label": "Онгоцотын ам", "zipcode": "12604"}, {"label": "Дугуй бургастай", "zipcode": "12605"}, {"label": "Элст тохой", "zipcode": "12606"}, {"label": "Цагаан овооны хєндий", "zipcode": "12607"}, {"label": "Нисэх хотхон", "zipcode": "12608"}, {"label": "Баян-уул", "zipcode": "12609"}, {"label": "Бүс нуур", "zipcode": "12610"}, {"label": "Их ам", "zipcode": "12611"}, {"label": "Гандан уул", "zipcode": "12612"}, {"label": "Уурхай", "zipcode": "12613"}, {"label": "Баян", "zipcode": "12614"}, {"label": "Дархан ноёны хөндий", "zipcode": "12615"}, {"label": "Налайхын тал", "zipcode": "12616"}, {"label": "Их бага модны ам", "zipcode": "12617"}, {"label": "Буурлын даваа", "zipcode": "12618"}, {"label": "Хар чулуутын ам", "zipcode": "12619"}, {"label": "Их ам", "zipcode": "12620"}, {"label": "Хөндлөнгийн ам", "zipcode": "12621"}, {"label": "Хайрханы ам", "zipcode": "12622"}, {"label": "Шохойтын ам", "zipcode": "12623"}, {"label": "Наран", "zipcode": "12630"}, {"label": "Нисэх", "zipcode": "12640"}, {"label": "Єлгий", "zipcode": "12650"}, {"label": "Алтай", "zipcode": "12660"}, {"label": "Баянзүрх", "zipcode": "12670"}, {"label": "Замчин", "zipcode": "12680"}, {"label": "Туул", "zipcode": "12690"}, {"label": "Дэнж", "zipcode": "12700"}, {"label": "Тэрэлж", "zipcode": "12710"}, {"label": "Шилжрээ", "zipcode": "12712"}, {"label": "Энгэр шанд", "zipcode": "12720"}, {"label": "Өгөөмөрийн ам", "zipcode": "12724"}, {"label": "Онгоцотын ам", "zipcode": "12728"}, {"label": "Суурьшилгүй бүс", "zipcode": "12735"}, {"label": "Антын ам", "zipcode": "12739"}, {"label": "Цэргийн анги", "zipcode": "12740"}, {"label": "Уурхайчин", "zipcode": "12750"}, {"label": "Залуучууд", "zipcode": "12760"}, {"label": "Горхи эрээний ам", "zipcode": "12770"}, {"label": "Горхийн баруун салаа", "zipcode": "12771"}, {"label": "Цайзын хэсэг", "zipcode": "12780"}, {"label": "Жаргалант-1", "zipcode": "12790"}, {"label": "Жаргалант-2", "zipcode": "12791"}, {"label": "Бадрал", "zipcode": "12800"}, {"label": "Өвөр шанд", "zipcode": "12810"}, {"label": "Нарлаг", "zipcode": "12820"}]}, {"label": "Баянзүрх дүүрэг", "zipcode": "13000", "sub_items": [{"label": "Суурьшилгүй бүс", "zipcode": "13009"}, {"label": "Дэндийн ам", "zipcode": "13010"}, {"label": "Суурьшилгүй бүс", "zipcode": "13011"}, {"label": "Арцат", "zipcode": "13012"}, {"label": "Бага хуандай", "zipcode": "13013"}, {"label": "Шар хоолойн ам", "zipcode": "13020"}, {"label": "Могойн дэнж", "zipcode": "13050"}, {"label": "Суурьшилгүй бүс", "zipcode": "13051"}, {"label": "Их ам", "zipcode": "13070"}, {"label": "Улаан эрэг", "zipcode": "13080"}, {"label": "Хонхор нуур", "zipcode": "13085"}, {"label": "Шажин хурах", "zipcode": "13086"}, {"label": "Майхан уул", "zipcode": "13087"}, {"label": "Нам даваа", "zipcode": "13088"}, {"label": "Хөлийн гол-1", "zipcode": "13089"}, {"label": "Хонхор", "zipcode": "13090"}, {"label": "Суурьшилгүй бүс", "zipcode": "13091"}, {"label": "Туулын хэсэг", "zipcode": "13100"}, {"label": "Төвийн хэсэг", "zipcode": "13110"}, {"label": "Баян дөхөмийн ам", "zipcode": "13120"}, {"label": "Суурьшилгүй бүс", "zipcode": "13121"}, {"label": "Эмийн ургамал", "zipcode": "13140"}, {"label": "Баян төхөм", "zipcode": "13150"}, {"label": "Гүнжийн хоолой", "zipcode": "13160"}, {"label": "Бумбат", "zipcode": "13170"}, {"label": "Ногоон зоорь", "zipcode": "13180"}, {"label": "Сүүл даваа", "zipcode": "13181"}, {"label": "Ногоон зоорь", "zipcode": "13182"}, {"label": "Хөлийн гол-2", "zipcode": "13183"}, {"label": "Туулын зөрлөг", "zipcode": "13184"}, {"label": "Туулын зөрлөг", "zipcode": "13190"}, {"label": "Төрхурах", "zipcode": "13200"}, {"label": "Суурьшилгүй бүс", "zipcode": "13201"}, {"label": "Хужирбулан", "zipcode": "13210"}, {"label": "Их булгийн ам", "zipcode": "13211"}, {"label": "Баатархайрхан", "zipcode": "13212"}, {"label": "Майхант", "zipcode": "13213"}, {"label": "Улиастайн гол", "zipcode": "13214"}, {"label": "Цардуулт", "zipcode": "13215"}, {"label": "Хадат, Хожуултын ам", "zipcode": "13216"}, {"label": "Шарын ам", "zipcode": "13217"}, {"label": "Улиастай гол", "zipcode": "13218"}, {"label": "Чулуут", "zipcode": "13220"}, {"label": "Суурьшилгүй бүс", "zipcode": "13221"}, {"label": "Хүрхрээ", "zipcode": "13240"}, {"label": "Залаатын ам", "zipcode": "13241"}, {"label": "Улиастай", "zipcode": "13250"}, {"label": "Амгалан-1", "zipcode": "13260"}, {"label": "Амгалан-2", "zipcode": "13270"}, {"label": "Амгалан-3", "zipcode": "13271"}, {"label": "Шар хад", "zipcode": "13280"}, {"label": "Шар хад-2", "zipcode": "13281"}, {"label": "Цайз-1", "zipcode": "13290"}, {"label": "Цайз-2", "zipcode": "13291"}, {"label": "Цайз-3", "zipcode": "13292"}, {"label": "Улаанхуаран-1", "zipcode": "13300"}, {"label": "Улаанхуаран-2", "zipcode": "13301"}, {"label": "Улаанхуаран-3", "zipcode": "13302"}, {"label": "Шинэ суурьшил", "zipcode": "13311"}, {"label": "Шинэ суурьшил", "zipcode": "13312"}, {"label": "Суурьшилгүй бүс", "zipcode": "13313"}, {"label": "Бага тэнгэрийн ам", "zipcode": "13314"}, {"label": "Их тэнгэрийн ам-1", "zipcode": "13315"}, {"label": "16-р хороолол-1", "zipcode": "13320"}, {"label": "16-р хороолол-2", "zipcode": "13321"}, {"label": "14-р хороолол-1", "zipcode": "13330"}, {"label": "14-р хороолол-2", "zipcode": "13331"}, {"label": "14-р хороолол-3", "zipcode": "13332"}, {"label": "14-р хороолол-4", "zipcode": "13333"}, {"label": "14-р хороолол-5", "zipcode": "13334"}, {"label": "14-р хороолол-6", "zipcode": "13335"}, {"label": "14-р хороолол-7", "zipcode": "13336"}, {"label": "15--р хороолол-1", "zipcode": "13340"}, {"label": "15--р хороолол-2", "zipcode": "13341"}, {"label": "15--р хороолол-3", "zipcode": "13342"}, {"label": "15--р хороолол-4", "zipcode": "13343"}, {"label": "15--р хороолол-5", "zipcode": "13344"}, {"label": "15--р хороолол-6", "zipcode": "13345"}, {"label": "Дарь-Эх -1", "zipcode": "13350"}, {"label": "Дарь-Эх -2", "zipcode": "13351"}, {"label": "Дунд дарь-Эх", "zipcode": "13352"}, {"label": "Жамсран уулын өвөр", "zipcode": "13353"}, {"label": "Бага дарь-Эх", "zipcode": "13354"}, {"label": "Ганц худгийн ам", "zipcode": "13355"}, {"label": "Хоршооллын хотхон-1", "zipcode": "13360"}, {"label": "Хоршооллын хотхон -2", "zipcode": "13361"}, {"label": "13-р хороолол 2-1", "zipcode": "13370"}, {"label": "13-р хороолол 2-2", "zipcode": "13371"}, {"label": "13-р хороолол 2-3", "zipcode": "13372"}, {"label": "13-р хороолол 2-4", "zipcode": "13373"}, {"label": "13-р хороолол 2-5", "zipcode": "13374"}, {"label": "12-р хороолол-1", "zipcode": "13380"}, {"label": "12-р хороолол-2", "zipcode": "13381"}]}, {"label": "Сүхбаатар дүүрэг", "zipcode": "14000", "sub_items": [{"label": "Бэлх хадат 1-р хэсэг", "zipcode": "14010"}, {"label": "Бэлх хадат 2-р хэсэг", "zipcode": "14011"}, {"label": "Бэлх Цуурайт", "zipcode": "14012"}, {"label": "Сэлбэ 1-р хэсэг", "zipcode": "14020"}, {"label": "Сэлбэ 2-р хэсэг", "zipcode": "14021"}, {"label": "Цээнийн хэсэг", "zipcode": "14030"}, {"label": "Цолмонгийн ам 1-р хэсэг", "zipcode": "14040"}, {"label": "Цолмонгийн ам 2-р хэсэг", "zipcode": "14041"}, {"label": "Бэлх 1-р хэсэг", "zipcode": "14050"}, {"label": "Бэлх 2-р хэсэг", "zipcode": "14051"}, {"label": "Бэлх Мааньтын даваа", "zipcode": "14052"}, {"label": "Бэлх Даваатын ам", "zipcode": "14053"}, {"label": "Дамбадаржаа-1", "zipcode": "14060"}, {"label": "Дамбадаржаа-2", "zipcode": "14061"}, {"label": "Дамбадаржаа-3", "zipcode": "14062"}, {"label": "Сэлх 1-р хэсэг", "zipcode": "14070"}, {"label": "Сэлх 2-р хэсэг", "zipcode": "14071"}, {"label": "Сэлх 3-р хэсэг", "zipcode": "14072"}, {"label": "Сэлх 4-р хэсэг", "zipcode": "14073"}, {"label": "Шарга морьт 1- хэсэг", "zipcode": "14080"}, {"label": "Шарга морьт 2-хэсэг", "zipcode": "14081"}, {"label": "Шарга морьт 3-хэсэг", "zipcode": "14082"}, {"label": "Шарга морьт 4-хэсэг", "zipcode": "14083"}, {"label": "Шарга морьт 5-хэсэг", "zipcode": "14084"}, {"label": "Шарга морьт 6-хэсэг", "zipcode": "14085"}, {"label": "Хандгайт 1-р хэсэг", "zipcode": "14090"}, {"label": "Хандгайт 2-р хэсэг", "zipcode": "14091"}, {"label": "Хандгайт 3-р хэсэг", "zipcode": "14092"}, {"label": "Хандгайтын богино 2-р хэсэг", "zipcode": "14093"}, {"label": "Хандгайтын богино 1-р хэсэг", "zipcode": "14094"}, {"label": "Ар хустай 1-р хэсэг", "zipcode": "14100"}, {"label": "Ар хустай 2-р хэсэг", "zipcode": "14101"}, {"label": "Зуун мод_СБ", "zipcode": "14105"}, {"label": "Баянбулаг 1-р хэсэг", "zipcode": "14110"}, {"label": "Баянбулаг 2-р хэсэг", "zipcode": "14111"}, {"label": "Баянбулаг 3-р хэсэг", "zipcode": "14112"}, {"label": "Хуурай мухар 1-р хэсэг", "zipcode": "14120"}, {"label": "Хуурай мухар 2-р хэсэг", "zipcode": "14121"}, {"label": "Хуурай мухар 3-р хэсэг", "zipcode": "14122"}, {"label": "Гоодойн ам 1-р хэсэг", "zipcode": "14130"}, {"label": "Гоодойн ам 2-р хэсэг", "zipcode": "14131"}, {"label": "Гоодойн ам 3-р хэсэг", "zipcode": "14132"}, {"label": "Санзай 1-р хэсэг", "zipcode": "14140"}, {"label": "Санзай 2-р хэсэг", "zipcode": "14141"}, {"label": "Санзай 3-р хэсэг", "zipcode": "14142"}, {"label": "Санзай 4-р хэсэг", "zipcode": "14143"}, {"label": "Майхан толгой_СБ 1-р хэсэг", "zipcode": "14150"}, {"label": "Майхан толгой_СБ 2-р хэсэг", "zipcode": "14151"}, {"label": "5 буудал", "zipcode": "14160"}, {"label": "100 айл-1", "zipcode": "14170"}, {"label": "100 айл-2", "zipcode": "14171"}, {"label": "7-р хороолол-1", "zipcode": "14180"}, {"label": "7-р хороолол-2", "zipcode": "14181"}, {"label": "7-р хороолол-3", "zipcode": "14182"}, {"label": "11-р хороолол-1", "zipcode": "14190"}, {"label": "11-р хороолол-2", "zipcode": "14191"}, {"label": "11-р хороолол-3", "zipcode": "14192"}, {"label": "11-р хороолол-4", "zipcode": "14193"}, {"label": "Бага тойруу-1", "zipcode": "14200"}, {"label": "Бага тойруу-2", "zipcode": "14201"}, {"label": "13-р хороолол 1-1", "zipcode": "14210"}, {"label": "13-р хороолол 1-2", "zipcode": "14220"}, {"label": "13-р хороолол 1-3", "zipcode": "14230"}, {"label": "Соёл амралтын хүрээлэн -1", "zipcode": "14240"}, {"label": "Соёл амралтын хүрээлэн - 2", "zipcode": "14241"}, {"label": "5-р хороолол-1", "zipcode": "14250"}, {"label": "5-р хороолол-2", "zipcode": "14251"}, {"label": "5-р хороолол-3", "zipcode": "14252"}, {"label": "5-р хороолол-4", "zipcode": "14253"}]}, {"label": "Чингэлтэй дүүрэг", "zipcode": "15000", "sub_items": [{"label": "Ар согоот 1-р хэсэг", "zipcode": "15010"}, {"label": "Ар согоот 2-р хэсэг", "zipcode": "15011"}, {"label": "Шадивлан 1-р хэсэг", "zipcode": "15020"}, {"label": "Шадивлан 2-р хэсэг", "zipcode": "15021"}, {"label": "Шадивлан 3-р хэсэг", "zipcode": "15022"}, {"label": "Шадивлан 4-р хэсэг", "zipcode": "15023"}, {"label": "Шадивлан 5-р хэсэг", "zipcode": "15024"}, {"label": "Чингэлтэй 1-р хэсэг", "zipcode": "15030"}, {"label": "Чингэлтэй 2-р хэсэг", "zipcode": "15031"}, {"label": "Чингэлтэй 3-р хэсэг", "zipcode": "15032"}, {"label": "Зуун мод_ЧИН 1-р хэсэг", "zipcode": "15040"}, {"label": "Зуун мод_ЧИН  2-р хэсэг", "zipcode": "15041"}, {"label": "Яргайт 1-р хэсэг", "zipcode": "15050"}, {"label": "Яргайт 2-р хэсэг", "zipcode": "15051"}, {"label": "Яргайтын богино 1-р хэсэг", "zipcode": "15052"}, {"label": "Яргайтын богино 2-р хэсэг", "zipcode": "15053"}, {"label": "Яргайтын богино 3-р хэсэг", "zipcode": "15054"}, {"label": "Салхит", "zipcode": "15060"}, {"label": "Ойнбулаг", "zipcode": "15070"}, {"label": "Майхан толгой_Чин 1-р хэсэг", "zipcode": "15080"}, {"label": "Майхан толгой_Чин 2-р хэсэг", "zipcode": "15081"}, {"label": "Гүнт 1-р хэсэг", "zipcode": "15090"}, {"label": "Гүнт 2-р хэсэг", "zipcode": "15091"}, {"label": "Жигжид 1-р хэсэг", "zipcode": "15100"}, {"label": "Жигжид 2-р хэсэг", "zipcode": "15101"}, {"label": "Жигжид 3-р хэсэг", "zipcode": "15102"}, {"label": "Жигжид 4-р хэсэг", "zipcode": "15103"}, {"label": "Жигжид 5-р хэсэг", "zipcode": "15104"}, {"label": "Хайлааст-1", "zipcode": "15110"}, {"label": "Хайлааст-2", "zipcode": "15111"}, {"label": "Дэнжийн мянга 1-р хэсэг", "zipcode": "15120"}, {"label": "Дэнжийн мянга 2-р хэсэг", "zipcode": "15121"}, {"label": "Телевиз", "zipcode": "15130"}, {"label": "6-р хороолол-1", "zipcode": "15140"}, {"label": "6-р хороолол-2", "zipcode": "15141"}, {"label": "Тасганы овоо", "zipcode": "15150"}, {"label": "Бага тойруу-3", "zipcode": "15160"}, {"label": "40, 50 мянгат-1", "zipcode": "15170"}, {"label": "40, 50 мянгат-2", "zipcode": "15171"}, {"label": "40, 50 мянгат-3", "zipcode": "15172"}]}, {"label": "Баянгол дүүрэг", "zipcode": "16000", "sub_items": [{"label": "Үйлдвэрийн төвийн бүс-1", "zipcode": "16010"}, {"label": "Үйлдвэрийн төвийн бүс-2", "zipcode": "16020"}, {"label": "Үйлдвэрийн төвийн бүс-3", "zipcode": "16030"}, {"label": "Гандан", "zipcode": "16040"}, {"label": "2-р хороолол-1", "zipcode": "16050"}, {"label": "2-р хороолол-2", "zipcode": "16051"}, {"label": "2-р хороолол-3", "zipcode": "16052"}, {"label": "4-р хороолол-1", "zipcode": "16060"}, {"label": "4-р хороолол-2", "zipcode": "16061"}, {"label": "4-р хороолол-3", "zipcode": "16062"}, {"label": "4-р хороолол-4", "zipcode": "16063"}, {"label": "4-р хороолол-5", "zipcode": "16064"}, {"label": "4-р хороолол-6", "zipcode": "16065"}, {"label": "4-р хороолол-7", "zipcode": "16066"}, {"label": "4-р хороолол-8", "zipcode": "16067"}, {"label": "Наран-1", "zipcode": "16070"}, {"label": "10-р хороолол-1", "zipcode": "16080"}, {"label": "10-р хороолол-2", "zipcode": "16081"}, {"label": "3-р хороолол-1", "zipcode": "16090"}, {"label": "3-р хороолол-2", "zipcode": "16091"}, {"label": "3-р хороолол-3", "zipcode": "16092"}, {"label": "3-р хороолол-4", "zipcode": "16093"}, {"label": "3-р хороолол-5", "zipcode": "16094"}, {"label": "3-р хороолол-6", "zipcode": "16095"}, {"label": "Үйлдвэрийн баруун бүс 1-1", "zipcode": "16100"}, {"label": "Үйлдвэрийн баруун бүс 1-2", "zipcode": "16101"}, {"label": "Үйлдвэрийн баруун бүс 1-3", "zipcode": "16102"}, {"label": "Үйлдвэрийн баруун бүс 1-4", "zipcode": "16103"}]}, {"label": "Хан-Уул дүүрэг", "zipcode": "17000", "sub_items": [{"label": "Суурьшилгүй бүс", "zipcode": "17009"}, {"label": "Стадион Оргил-1", "zipcode": "17010"}, {"label": "Стадион Оргил-2", "zipcode": "17011"}, {"label": "Стадион Оргил-3", "zipcode": "17012"}, {"label": "Стадион Оргил-4", "zipcode": "17013"}, {"label": "Зайсан-1", "zipcode": "17020"}, {"label": "Зайсан-2", "zipcode": "17021"}, {"label": "Зайсан-3", "zipcode": "17022"}, {"label": "Зайсан-4", "zipcode": "17023"}, {"label": "Зайсан-5", "zipcode": "17024"}, {"label": "Зайсан-6", "zipcode": "17025"}, {"label": "Зайсан-7", "zipcode": "17026"}, {"label": "Зайсан-8", "zipcode": "17027"}, {"label": "Зайсан-9", "zipcode": "17028"}, {"label": "Зайсан-10", "zipcode": "17029"}, {"label": "19-р хороолол-1", "zipcode": "17030"}, {"label": "19-р хороолол-2", "zipcode": "17031"}, {"label": "19-р хороолол-3", "zipcode": "17032"}, {"label": "19-р хороолол-4", "zipcode": "17033"}, {"label": "Үйлдвэр 2-1", "zipcode": "17040"}, {"label": "Үйлдвэр 2-2", "zipcode": "17041"}, {"label": "Үйлдвэр 2-3", "zipcode": "17042"}, {"label": "Үйлдвэр 2-4", "zipcode": "17043"}, {"label": "Богины ам", "zipcode": "17050"}, {"label": "Чандманы ам", "zipcode": "17051"}, {"label": "Үйлдвэр 1-1", "zipcode": "17060"}, {"label": "Үйлдвэр 1-2", "zipcode": "17061"}, {"label": "Үйлдвэр 1-3", "zipcode": "17062"}, {"label": "Үйлдвэрийн баруун бүс 2-1", "zipcode": "17070"}, {"label": "Үйлдвэрийн баруун бүс 2-2", "zipcode": "17071"}, {"label": "Хүүшийн ам", "zipcode": "17080"}, {"label": "Суурьшилгүй бүс", "zipcode": "17081"}, {"label": "Суурьшилгүй бүс", "zipcode": "17082"}, {"label": "Нүхт", "zipcode": "17090"}, {"label": "Жаргалантын ам", "zipcode": "17091"}, {"label": "Яармагийн урд дэнж-2", "zipcode": "17100"}, {"label": "Яармагийн урд дэнж -1", "zipcode": "17101"}, {"label": "Дарга толгойн ам", "zipcode": "17102"}, {"label": "Яармаг", "zipcode": "17110"}, {"label": "Яармаг-2", "zipcode": "17111"}, {"label": "Буянт Ухаа", "zipcode": "17120"}, {"label": "Буянт Ухаа  хороолол-2", "zipcode": "17121"}, {"label": "Буянт Ухаа хороолол-3", "zipcode": "17122"}, {"label": "Морин-2", "zipcode": "17130"}, {"label": "Морин-1", "zipcode": "17131"}, {"label": "Тайны ам", "zipcode": "17132"}, {"label": "Морин-2", "zipcode": "17133"}, {"label": "Био комбинат /Сонгино/ -1", "zipcode": "17140"}, {"label": "Био комбинат /Сонгино/ -2", "zipcode": "17141"}, {"label": "Эрдэнэтолгой", "zipcode": "17142"}, {"label": "Био комбинат 2", "zipcode": "17143"}, {"label": "Сонгины амралтын хэсэг", "zipcode": "17144"}, {"label": "Өлзийт", "zipcode": "17150"}, {"label": "Суурьшилгүй б", "zipcode": "17151"}, {"label": "Бугын ам", "zipcode": "17152"}, {"label": "Ар хөндлөнгийн хэсэг", "zipcode": "17153"}, {"label": "Гавжийн шанд", "zipcode": "17160"}, {"label": "Шувуун фабрик /Туул тосгон/", "zipcode": "17170"}, {"label": "Шувуун фабрик  /Туул тосгон/", "zipcode": "17171"}, {"label": "Шувуун фабрик-2", "zipcode": "17172"}, {"label": "Уушийн ар", "zipcode": "17173"}, {"label": "Аж үйлдвэрийн парк хэсэг", "zipcode": "17174"}, {"label": "Улаан овоот", "zipcode": "17175"}]}, {"label": "Сонгинохайрхан дүүрэг", "zipcode": "18000", "sub_items": [{"label": "Баянхошуу-1-1", "zipcode": "18010"}, {"label": "Баянхошуу-1-2", "zipcode": "18011"}, {"label": "Наран-2", "zipcode": "18020"}, {"label": "1-р хороолол-1", "zipcode": "18030"}, {"label": "1-р хороолол-2", "zipcode": "18031"}, {"label": "1-р хороолол-3", "zipcode": "18032"}, {"label": "Өнөр хороолол", "zipcode": "18040"}, {"label": "Толгойтын зүүн салаа-1", "zipcode": "18050"}, {"label": "Толгойтын зүүн салаа-2", "zipcode": "18051"}, {"label": "Суурьшилгүй бүс", "zipcode": "18052"}, {"label": "Ханын материал-1", "zipcode": "18060"}, {"label": "Ханын материал-2", "zipcode": "18061"}, {"label": "Ханын материал-3", "zipcode": "18062"}, {"label": "Москва хороолол-1", "zipcode": "18070"}, {"label": "Москва хороолол-2", "zipcode": "18071"}, {"label": "Москва хороолол-3", "zipcode": "18072"}, {"label": "21-р хороолол-1", "zipcode": "18080"}, {"label": "21-р хороолол-2", "zipcode": "18081"}, {"label": "21-р хороолол-3", "zipcode": "18082"}, {"label": "Баянхошуу-2", "zipcode": "18090"}, {"label": "Толгойт-1", "zipcode": "18100"}, {"label": "Толгойт-2", "zipcode": "18101"}, {"label": "Толгойт-3", "zipcode": "18102"}, {"label": "Толгойт-4", "zipcode": "18103"}, {"label": "Толгойт-5", "zipcode": "18104"}, {"label": "Толгойт-6", "zipcode": "18105"}, {"label": "Богдын ар", "zipcode": "18110"}, {"label": "Ар гүнт", "zipcode": "18120"}, {"label": "Сонсголон-1", "zipcode": "18130"}, {"label": "Сонсголон-2", "zipcode": "18131"}, {"label": "Сонсголон-3", "zipcode": "18132"}, {"label": "Сонсголон-4", "zipcode": "18133"}, {"label": "Сонсголон-5", "zipcode": "18134"}, {"label": "Сонсголон-6", "zipcode": "18135"}, {"label": "Наран-1", "zipcode": "18140"}, {"label": "Наран-2", "zipcode": "18141"}, {"label": "Толгойтын баруун салаа-1", "zipcode": "18150"}, {"label": "Толгойтын баруун салаа-2", "zipcode": "18151"}, {"label": "Суурьшилгүй бүс", "zipcode": "18152"}, {"label": "Их наран", "zipcode": "18160"}, {"label": "Орбит-1", "zipcode": "18170"}, {"label": "Орбит-2", "zipcode": "18171"}, {"label": "Орбит-3", "zipcode": "18172"}, {"label": "Орбит-4", "zipcode": "18173"}, {"label": "Баянголын ам-1", "zipcode": "18180"}, {"label": "Баянголын ам-2", "zipcode": "18181"}, {"label": "Баянголын ам-3", "zipcode": "18182"}, {"label": "Баянголын ам-4", "zipcode": "18183"}, {"label": "Баянголын ам-5", "zipcode": "18190"}, {"label": "Баянголын ам-6", "zipcode": "18191"}, {"label": "Баянголын ам-7", "zipcode": "18192"}, {"label": "Баянголын ам-8", "zipcode": "18193"}, {"label": "Цагаан бургас", "zipcode": "18200"}, {"label": "335-ын гарам", "zipcode": "18210"}, {"label": "Суурьшилгүй бүс", "zipcode": "18211"}, {"label": "Бороочийн ам", "zipcode": "18212"}, {"label": "Өвөр уулын овоо", "zipcode": "18213"}, {"label": "Суурьшилгүй бүс", "zipcode": "18214"}, {"label": "Халзангийн ам", "zipcode": "18215"}, {"label": "Хүйн хөндий", "zipcode": "18216"}, {"label": "335-ын гарам", "zipcode": "18217"}, {"label": "Суурьшилгүй бүс", "zipcode": "18218"}, {"label": "Найрамдал 1", "zipcode": "18220"}, {"label": "Найрамдал 2", "zipcode": "18221"}, {"label": "Найрамдал 3", "zipcode": "18222"}, {"label": "Найрамдал 4", "zipcode": "18223"}, {"label": "Найрамдал 5", "zipcode": "18224"}, {"label": "Найрамдал 6", "zipcode": "18225"}, {"label": "Овоот тосгон", "zipcode": "18230"}, {"label": "Тахилт", "zipcode": "18240"}, {"label": "Суурьшилгүй бүс", "zipcode": "18241"}, {"label": "Тахилтын хөндий", "zipcode": "18242"}, {"label": "Шижиртийн даваа", "zipcode": "18250"}, {"label": "Хустайн ам", "zipcode": "18260"}, {"label": "Хотын шинэ төв", "zipcode": "18270"}, {"label": "Авто худалдааны цогцолбор", "zipcode": "18271"}, {"label": "Бурхант", "zipcode": "18280"}, {"label": "Ханан", "zipcode": "18290"}, {"label": "Шижир", "zipcode": "18300"}, {"label": "Шар цэцэгт", "zipcode": "18310"}, {"label": "Соёондын ам", "zipcode": "18311"}, {"label": "Таширын ам", "zipcode": "18312"}, {"label": "Зүүн туруун", "zipcode": "18320"}, {"label": "Жаргалант тос", "zipcode": "18330"}, {"label": "Баруун туруун", "zipcode": "18340"}, {"label": "Суурьшилгүй бүс", "zipcode": "18341"}, {"label": "Тахир соёот", "zipcode": "18350"}, {"label": "347-ийн гарам", "zipcode": "18360"}, {"label": "Жаргалант тосгон", "zipcode": "18361"}, {"label": "Саалийн ам", "zipcode": "18370"}, {"label": "Аюушийн ам", "zipcode": "18380"}, {"label": "Рашаант тосго", "zipcode": "18390"}, {"label": "Эмээлт", "zipcode": "18400"}, {"label": "Эмээлт -2", "zipcode": "18401"}, {"label": "Суурьшилгүй бүс", "zipcode": "18402"}, {"label": "Долоон худгийн хөндий", "zipcode": "18403"}, {"label": "Шинэ товчоо", "zipcode": "18404"}, {"label": "361-ийн гарам", "zipcode": "18410"}, {"label": "Суурьшилгүй бүс", "zipcode": "18411"}, {"label": "Суурьшилгүй бүс", "zipcode": "18412"}, {"label": "Хурганы сангийн аж ахуй", "zipcode": "18420"}, {"label": "Нарийн", "zipcode": "18430"}, {"label": "369-ын гарам", "zipcode": "18440"}, {"label": "Хужиртын даваа", "zipcode": "18450"}, {"label": "Хүй 7 худаг", "zipcode": "18460"}, {"label": "Дунд дүүрэн ам", "zipcode": "18470"}, {"label": "Суурьшилгүй бүс", "zipcode": "18471"}, {"label": "Эмээлт уулын баруун хоолой", "zipcode": "18472"}, {"label": "Хөх асар", "zipcode": "18480"}, {"label": "Дааган толгой", "zipcode": "18490"}, {"label": "Их булаг", "zipcode": "18500"}, {"label": "Суурьшилгүй бүс", "zipcode": "18501"}, {"label": "Замтын булаг", "zipcode": "18510"}, {"label": "Сүүж", "zipcode": "18520"}, {"label": "Хөндлөнгийн ам", "zipcode": "18530"}, {"label": "Бүрдийн ам", "zipcode": "18540"}, {"label": "Суурьшилгүй бүс", "zipcode": "18550"}]}]}, {"label": "Дорнод", "zipcode": "21000", "sub_items": [{"label": "Халхгол сум", "zipcode": "21010", "sub_items": [{"label": "Цогтсүмбэр", "zipcode": "21011"}, {"label": "Ялалт", "zipcode": "21013"}, {"label": "Ташгай", "zipcode": "21015"}]}, {"label": "Матад сум", "zipcode": "21020", "sub_items": [{"label": "Түмэнхаан", "zipcode": "21021"}, {"label": "Мэнэн", "zipcode": "21022"}, {"label": "Буян Өндөр", "zipcode": "21023"}, {"label": "Баянхангай", "zipcode": "21025"}, {"label": "Жаргалант", "zipcode": "21027"}, {"label": "Эрдэнэбадрах", "zipcode": "21029"}]}, {"label": "Чулуунхороот", "zipcode": "21030", "sub_items": [{"label": "Цагаанчулуут", "zipcode": "21031"}, {"label": "Дэлгэр", "zipcode": "21033"}, {"label": "Галуут", "zipcode": "21035"}]}, {"label": "Чойбалсан", "zipcode": "21040", "sub_items": [{"label": "Энгэр шанд", "zipcode": "21041"}, {"label": "Хулстай", "zipcode": "21043"}, {"label": "Сүмбэр", "zipcode": "21045"}, {"label": "Хөх нуурт", "zipcode": "21047"}]}, {"label": "Баянтүмэн", "zipcode": "21050", "sub_items": [{"label": "Жаргалант", "zipcode": "21051"}, {"label": "Өлзийт", "zipcode": "21053"}, {"label": "Хотонт", "zipcode": "21054"}, {"label": "Цагаан дэрс", "zipcode": "21055"}]}, {"label": "Хэрлэн сум", "zipcode": "21060", "sub_items": [{"label": "6-р баг", "zipcode": "21061"}, {"label": "11-р баг", "zipcode": "21062"}, {"label": "7-р баг", "zipcode": "21063"}, {"label": "1-р баг", "zipcode": "21065"}, {"label": "2-р сум", "zipcode": "21067"}, {"label": "3-р сум", "zipcode": "21069"}, {"label": "10-р баг", "zipcode": "21071"}, {"label": "4-р баг", "zipcode": "21073"}, {"label": "9-р баг", "zipcode": "21075"}, {"label": "5-р баг", "zipcode": "21077"}, {"label": "8-р баг", "zipcode": "21079"}]}, {"label": "Гурванзагал сум", "zipcode": "21080", "sub_items": [{"label": "Рашаант", "zipcode": "21081"}, {"label": "Сүмийн булаг", "zipcode": "21082"}, {"label": "Цагаан хошуу", "zipcode": "21083"}]}, {"label": "Булган сум", "zipcode": "21090", "sub_items": [{"label": "Баян-Уул", "zipcode": "21091"}, {"label": "Хулсан шанд", "zipcode": "21093"}, {"label": "Өндөр хошуу", "zipcode": "21095"}, {"label": "Чулуут", "zipcode": "21097"}]}, {"label": "Дашбалбар сум", "zipcode": "21100", "sub_items": [{"label": "Чух номинт", "zipcode": "21101"}, {"label": "Номинт", "zipcode": "21102"}, {"label": "Улз", "zipcode": "21103"}, {"label": "Сэвсүүл Жараахай", "zipcode": "21105"}, {"label": "Харзат", "zipcode": "21107"}]}, {"label": "Сэргэлэн", "zipcode": "21110", "sub_items": [{"label": "Очирхүрээ", "zipcode": "21111"}, {"label": "Галын гол", "zipcode": "21113"}, {"label": "Баян", "zipcode": "21115"}, {"label": "Барчин", "zipcode": "21117"}, {"label": "Хурган", "zipcode": "21119"}]}, {"label": "Баяндун", "zipcode": "21120", "sub_items": [{"label": "Хайрхан", "zipcode": "21121"}, {"label": "Яргай", "zipcode": "21123"}, {"label": "Түргэн", "zipcode": "21125"}, {"label": "Наран", "zipcode": "21127"}]}, {"label": "Цагаан-Овоо", "zipcode": "21130", "sub_items": [{"label": "Зүрх", "zipcode": "21131"}, {"label": "Хүрээт", "zipcode": "21133"}, {"label": "Баянгол", "zipcode": "21135"}, {"label": "Хөөвөр", "zipcode": "21137"}, {"label": "Гүн цэнгэлэг", "zipcode": "21139"}, {"label": "Элст", "zipcode": "21141"}]}, {"label": "Хөлөнбуйр сум", "zipcode": "21150", "sub_items": [{"label": "Баян", "zipcode": "21151"}, {"label": "Баян-Уул", "zipcode": "21152"}, {"label": "Батхаан", "zipcode": "21153"}]}, {"label": "Баян-Уул", "zipcode": "21160", "sub_items": [{"label": "Битүүгийн адаг", "zipcode": "21161"}, {"label": "Хар чулуут", "zipcode": "21163"}, {"label": "Өвөр эрээн", "zipcode": "21165"}, {"label": "Жаварт хошуу", "zipcode": "21167"}, {"label": "Бэрх", "zipcode": "21169"}, {"label": "Уртын адаг", "zipcode": "21171"}]}]}, {"label": "Сүхбаатар", "zipcode": "22000", "sub_items": [{"label": "Эрдэнэцагаан", "zipcode": "22010", "sub_items": [{"label": "Хөндлөн хайлааст", "zipcode": "22011"}, {"label": "Хадын булаг", "zipcode": "22013"}, {"label": "Билүүт", "zipcode": "22015"}, {"label": "Цагаан-Овоо", "zipcode": "22017"}, {"label": "Хонгор", "zipcode": "22019"}, {"label": "Бадрах", "zipcode": "22021"}, {"label": "Жаргалант", "zipcode": "22023"}, {"label": "Алтан-Овоо", "zipcode": "22025"}]}, {"label": "Сүхбаатар", "zipcode": "22030", "sub_items": [{"label": "Баянгол", "zipcode": "22031"}, {"label": "Хулгар", "zipcode": "22033"}, {"label": "Хайлааст", "zipcode": "22035"}, {"label": "Шинэбулаг", "zipcode": "22037"}, {"label": "Сайншанд", "zipcode": "22039"}]}, {"label": "Дарьганга", "zipcode": "22040", "sub_items": [{"label": "Бадрах", "zipcode": "22041"}, {"label": "Өрнө дэрс", "zipcode": "22043"}, {"label": "Овоот", "zipcode": "22045"}, {"label": "Аман-Ус", "zipcode": "22047"}]}, {"label": "Асгат", "zipcode": "22050", "sub_items": [{"label": "Дөхөм", "zipcode": "22051"}, {"label": "Өлзийт", "zipcode": "22053"}, {"label": "Жаргалан", "zipcode": "22055"}, {"label": "Их-Уул", "zipcode": "22057"}]}, {"label": "Наран", "zipcode": "22060", "sub_items": [{"label": "Наранбулаг", "zipcode": "22061"}, {"label": "Тосонгийн гол", "zipcode": "22063"}, {"label": "Гүнхудаг", "zipcode": "22065"}]}, {"label": "Баруун-Урт сум", "zipcode": "22070", "sub_items": [{"label": "9-р баг", "zipcode": "22071"}, {"label": "8-р баг", "zipcode": "22073"}, {"label": "7-р баг", "zipcode": "22075"}, {"label": "6-р баг", "zipcode": "22077"}, {"label": "5-р баг", "zipcode": "22079"}, {"label": "4-р баг", "zipcode": "22081"}, {"label": "3-р баг", "zipcode": "22083"}, {"label": "2-р баг", "zipcode": "22085"}, {"label": "1-р баг", "zipcode": "22087"}]}, {"label": "Онгон", "zipcode": "22090", "sub_items": [{"label": "Ихбулаг", "zipcode": "22091"}, {"label": "Шарбүрд", "zipcode": "22093"}, {"label": "Цөнгөрөг", "zipcode": "22095"}, {"label": "Хавирга", "zipcode": "22097"}, {"label": "Нүдэн", "zipcode": "22099"}]}, {"label": "Халзан", "zipcode": "22100", "sub_items": [{"label": "Сайншанд", "zipcode": "22101"}, {"label": "Сахиул", "zipcode": "22103"}, {"label": "Хатавч", "zipcode": "22105"}, {"label": "Халзан шанд", "zipcode": "22107"}]}, {"label": "Баяндэлгэр", "zipcode": "22110", "sub_items": [{"label": "Хонгор", "zipcode": "22111"}, {"label": "Дөхөм", "zipcode": "22113"}, {"label": "Ширээт", "zipcode": "22115"}, {"label": "Төв", "zipcode": "22117"}, {"label": "Дэлгэр", "zipcode": "22119"}, {"label": "Баян", "zipcode": "22121"}, {"label": "Баян-уул", "zipcode": "22123"}, {"label": "Баянцагаан", "zipcode": "22125"}, {"label": "Бүрэнцогт", "zipcode": "22127"}]}, {"label": "Уулбаян", "zipcode": "22130", "sub_items": [{"label": "Дэлгэр", "zipcode": "22131"}, {"label": "Жавхлант", "zipcode": "22133"}, {"label": "Жаргалант", "zipcode": "22135"}, {"label": "Тэгш", "zipcode": "22137"}, {"label": "Баян", "zipcode": "22139"}]}, {"label": "Мөнххаан", "zipcode": "22140", "sub_items": [{"label": "Баянтэрэм", "zipcode": "22141"}, {"label": "Баян-Уул", "zipcode": "22143"}, {"label": "Баясгалант", "zipcode": "22144"}, {"label": "Баян цагаан", "zipcode": "22145"}, {"label": "Бүрэнцогт", "zipcode": "22147"}]}, {"label": "Түмэнцогт сум", "zipcode": "22150", "sub_items": [{"label": "Хошмиг", "zipcode": "22151"}, {"label": "Лхүмбэ", "zipcode": "22153"}, {"label": "Баян-Овоо", "zipcode": "22155"}, {"label": "Баянцогт", "zipcode": "22157"}]}, {"label": "Түвшинширээ", "zipcode": "22160", "sub_items": [{"label": "Дэлгэрхаан", "zipcode": "22161"}, {"label": "Сэргэлэн", "zipcode": "22163"}, {"label": "Өлзийт", "zipcode": "22165"}, {"label": "Өгөөмөр", "zipcode": "22167"}, {"label": "Үнэгт", "zipcode": "22169"}]}]}, {"label": "Хэнтий аймаг", "zipcode": "23000", "sub_items": [{"label": "Баян-Овоо", "zipcode": "23010", "sub_items": [{"label": "Сүмбэр", "zipcode": "23011"}, {"label": "Наран", "zipcode": "23013"}, {"label": "Жаргалант", "zipcode": "23015"}, {"label": "Дэлгэрхаан", "zipcode": "23017"}]}, {"label": "Норовлин", "zipcode": "23020", "sub_items": [{"label": "Онон", "zipcode": "23021"}, {"label": "Төв", "zipcode": "23023"}, {"label": "Ангирт", "zipcode": "23025"}, {"label": "Баян-Өлзийт", "zipcode": "23027"}]}, {"label": "Дадал", "zipcode": "23030", "sub_items": [{"label": "Агац", "zipcode": "23031"}, {"label": "Баян-Овоо", "zipcode": "23033"}, {"label": "Онон", "zipcode": "23035"}, {"label": "Балж", "zipcode": "23037"}]}, {"label": "Батноров", "zipcode": "23040", "sub_items": [{"label": "Баян", "zipcode": "23041"}, {"label": "Эхэн бүрд", "zipcode": "23043"}, {"label": "Баянбулаг", "zipcode": "23045"}, {"label": "Бэрх", "zipcode": "23047"}, {"label": "Эрдэнэчандмань", "zipcode": "23049"}, {"label": "Төвийн баг", "zipcode": "23051"}, {"label": "Идэрмэг", "zipcode": "23053"}, {"label": "Бэрх", "zipcode": "23055"}, {"label": "Идэрмэг", "zipcode": "23057"}, {"label": "Дундбүрд", "zipcode": "23059"}]}, {"label": "Баян-хутаг", "zipcode": "23060", "sub_items": [{"label": "Жаргалант", "zipcode": "23061"}, {"label": "Улаан Өндөр", "zipcode": "23063"}, {"label": "Цантын хоолой", "zipcode": "23065"}]}, {"label": "Баян-Адарга", "zipcode": "23070", "sub_items": [{"label": "Адарга", "zipcode": "23071"}, {"label": "Сайхан", "zipcode": "23073"}, {"label": "Дуурлиг", "zipcode": "23075"}, {"label": "Жаргалант", "zipcode": "23077"}]}, {"label": "Галшир", "zipcode": "23080", "sub_items": [{"label": "Сангийн далай", "zipcode": "23081"}, {"label": "Жаргалант", "zipcode": "23083"}, {"label": "Буянтбулаг", "zipcode": "23085"}, {"label": "Арвин", "zipcode": "23087"}, {"label": "Баянбадрал", "zipcode": "23089"}, {"label": "Оч", "zipcode": "23091"}, {"label": "Жаргалант", "zipcode": "23093"}, {"label": "Хужирт", "zipcode": "23095"}, {"label": "Арвин", "zipcode": "23097"}, {"label": "Баянбадрал", "zipcode": "23099"}]}, {"label": "Биндэр", "zipcode": "23100", "sub_items": [{"label": "Дэлгэрхаан", "zipcode": "23101"}, {"label": "Баян Өндөр", "zipcode": "23103"}, {"label": "Онон", "zipcode": "23105"}, {"label": "Баянгол", "zipcode": "23107"}, {"label": "Мандалхаан", "zipcode": "23109"}]}, {"label": "Хэрлэн", "zipcode": "23110", "sub_items": [{"label": "Ишгэн толгой", "zipcode": "23111"}, {"label": "ӨндӨр хаан", "zipcode": "23113"}, {"label": "Номгон", "zipcode": "23115"}, {"label": "БаянмӨнх", "zipcode": "23117"}, {"label": "Сариг", "zipcode": "23119"}, {"label": "Цогт Өндөр", "zipcode": "23121"}, {"label": "Хэрлэн баг", "zipcode": "23123"}, {"label": "Булаг", "zipcode": "23125"}]}, {"label": "Мөрөн", "zipcode": "23130", "sub_items": [{"label": "Бүрээт", "zipcode": "23131"}, {"label": "Цагаан толгой", "zipcode": "23133"}, {"label": "Чандган", "zipcode": "23135"}, {"label": "Өлзийт", "zipcode": "23137"}, {"label": "Зөөлөн", "zipcode": "23139"}]}, {"label": "Өмнөдэлгэр", "zipcode": "23140", "sub_items": [{"label": "Талын булаг", "zipcode": "23141"}, {"label": "Гурван баян", "zipcode": "23143"}, {"label": "Чандган", "zipcode": "23145"}, {"label": "Хэнтий", "zipcode": "23147"}, {"label": "Төв", "zipcode": "23149"}, {"label": "Баянзүрх", "zipcode": "23151"}, {"label": "Наран", "zipcode": "23153"}, {"label": "Чандаган", "zipcode": "23155"}, {"label": "Хэнтий", "zipcode": "23157"}, {"label": "Төв", "zipcode": "23159"}]}, {"label": "Батширээт", "zipcode": "23160", "sub_items": [{"label": "Барх", "zipcode": "23161"}, {"label": "Хурх", "zipcode": "23163"}, {"label": "Норволин", "zipcode": "23165"}, {"label": "Онон", "zipcode": "23167"}]}, {"label": "Баянмөнх", "zipcode": "23170", "sub_items": [{"label": "Дулаан", "zipcode": "23171"}, {"label": "Хэрлэн", "zipcode": "23173"}, {"label": "Улаан эрэг", "zipcode": "23175"}, {"label": "Баянбулаг", "zipcode": "23177"}]}, {"label": "Дархан", "zipcode": "23180", "sub_items": [{"label": "Шажин", "zipcode": "23181"}, {"label": "Мэргэн хошуу", "zipcode": "23183"}, {"label": "Бор-Өндөр", "zipcode": "23185"}, {"label": "Хараат", "zipcode": "23187"}, {"label": "Дотуур булаг", "zipcode": "23189"}]}, {"label": "Жаргалтхаан", "zipcode": "23190", "sub_items": [{"label": "Гичгэнэ", "zipcode": "23191"}, {"label": "Чулуут", "zipcode": "23193"}, {"label": "Төв", "zipcode": "23195"}, {"label": "Баянцогт", "zipcode": "23197"}, {"label": "Баян-Эрдэнэ", "zipcode": "23199"}]}, {"label": "Дэлгэрхаан", "zipcode": "23200", "sub_items": [{"label": "Хэрлэн тооно", "zipcode": "23201"}, {"label": "Аварга", "zipcode": "23203"}, {"label": "Долоод", "zipcode": "23205"}, {"label": "Хэрлэнбаян улаан", "zipcode": "23207"}, {"label": "Баянхаан", "zipcode": "23209"}]}, {"label": "Цэнхэрмандал", "zipcode": "23210", "sub_items": [{"label": "Хужхан", "zipcode": "23211"}, {"label": "Баянмод", "zipcode": "23213"}, {"label": "Согоот", "zipcode": "23215"}, {"label": "Нугаар", "zipcode": "23217"}]}, {"label": "Бор-Өндөр сум", "zipcode": "23220", "sub_items": [{"label": "Бор-Өндөр", "zipcode": "23221"}, {"label": "Холбоо", "zipcode": "23223"}, {"label": "Бумбат", "zipcode": "23225"}, {"label": "Уурхайчин", "zipcode": "23227"}, {"label": "Хүйх", "zipcode": "23229"}, {"label": "Өлгий", "zipcode": "23231"}, {"label": "Баянхаан", "zipcode": "23709"}]}]}, {"label": "Төв аймаг", "zipcode": "41000", "sub_items": [{"label": "Мөнгөнморьт", "zipcode": "41010", "sub_items": [{"label": "Булаг", "zipcode": "41011"}, {"label": "Байдлаг", "zipcode": "41013"}, {"label": "Жаргалант", "zipcode": "41015"}]}, {"label": "Баянжаргалан", "zipcode": "41020", "sub_items": [{"label": "Улаан ухаа", "zipcode": "41021"}, {"label": "Эрдэнэ", "zipcode": "41023"}, {"label": "Жаргалант", "zipcode": "41025"}]}, {"label": "Баяндэлгэр", "zipcode": "41030", "sub_items": [{"label": "Рашаант", "zipcode": "41031"}, {"label": "Байдлаг", "zipcode": "41033"}, {"label": "Галуут", "zipcode": "41035"}, {"label": "Тахилт", "zipcode": "41037"}]}, {"label": "Эрдэнэ", "zipcode": "41040", "sub_items": [{"label": "Өгөөмөр", "zipcode": "41041"}, {"label": "Чулуут", "zipcode": "41043"}, {"label": "Тамган", "zipcode": "41045"}, {"label": "Өвөр Жанчивлан", "zipcode": "41047"}, {"label": "Хушинга", "zipcode": "41049"}, {"label": "Баянтуул", "zipcode": "41051"}, {"label": "Өгөөмөр", "zipcode": "41053"}, {"label": "Цавчир", "zipcode": "41055"}, {"label": "Төв", "zipcode": "41057"}]}, {"label": "Архуст", "zipcode": "41060", "sub_items": [{"label": "Нарст", "zipcode": "41061"}, {"label": "Ноён шанд", "zipcode": "41063"}]}, {"label": "Баян", "zipcode": "41070", "sub_items": [{"label": "Өгөөмөр", "zipcode": "41071"}, {"label": "Цант", "zipcode": "41073"}, {"label": "Мааньт", "zipcode": "41075"}, {"label": "Цавчир", "zipcode": "41077"}]}, {"label": "Баянцагаан", "zipcode": "41080", "sub_items": [{"label": "Гурван түрүү", "zipcode": "41081"}, {"label": "Баян айраг", "zipcode": "41083"}, {"label": "Зогсоол", "zipcode": "41085"}, {"label": "Өлзийт", "zipcode": "41087"}, {"label": "Алтат", "zipcode": "41089"}]}, {"label": "Сэргэлэн", "zipcode": "41090", "sub_items": [{"label": "Эрдэнэ уул", "zipcode": "41091"}, {"label": "Баянбүрд", "zipcode": "41093"}, {"label": "Хөшиг", "zipcode": "41095"}, {"label": "Адвар", "zipcode": "41097"}, {"label": "Хайрхан", "zipcode": "41099"}]}, {"label": "Зуунмод сум", "zipcode": "41100", "sub_items": [{"label": "Зүүндэлгэр", "zipcode": "41101"}, {"label": "Баянхошуу", "zipcode": "41103"}, {"label": "Баруун зуунмод", "zipcode": "41105"}, {"label": "Ланс", "zipcode": "41107"}, {"label": "Нацагдорж", "zipcode": "41109"}, {"label": "Номт", "zipcode": "41111"}]}, {"label": "Батсүмбэр", "zipcode": "41120", "sub_items": [{"label": "Баянгол", "zipcode": "41121"}, {"label": "Цогт Өндөр", "zipcode": "41123"}, {"label": "Үдлэг", "zipcode": "41125"}, {"label": "Мандал", "zipcode": "41127"}]}, {"label": "Алтанбулаг", "zipcode": "41130", "sub_items": [{"label": "Сүмт", "zipcode": "41131"}, {"label": "Аргал", "zipcode": "41133"}, {"label": "Алтан-Овоо", "zipcode": "41135"}, {"label": "Замт", "zipcode": "41137"}]}, {"label": "Баян-Өнжүүл", "zipcode": "41140", "sub_items": [{"label": "Бүрд", "zipcode": "41141"}, {"label": "Бараат", "zipcode": "41143"}, {"label": "Цээл", "zipcode": "41145"}]}, {"label": "Борнуур", "zipcode": "41150", "sub_items": [{"label": "Мандал", "zipcode": "41151"}, {"label": "Өгөөмөр", "zipcode": "41153"}, {"label": "Нарт", "zipcode": "41155"}, {"label": "Бичигт", "zipcode": "41157"}]}, {"label": "Баянчандмань", "zipcode": "41160", "sub_items": [{"label": "Замт", "zipcode": "41161"}, {"label": "Чандмань", "zipcode": "41163"}, {"label": "Эрдэнэ", "zipcode": "41165"}]}, {"label": "Баянцогт", "zipcode": "41170", "sub_items": [{"label": "Гуна", "zipcode": "41171"}, {"label": "Сарлаг", "zipcode": "41173"}, {"label": "Даргиат", "zipcode": "41175"}]}, {"label": "Аргалант", "zipcode": "41180", "sub_items": [{"label": "Аргалын уул", "zipcode": "41181"}, {"label": "Хөшөөт", "zipcode": "41183"}]}, {"label": "Сүмбэр", "zipcode": "41190", "sub_items": [{"label": "Сүмбэр", "zipcode": "41191"}, {"label": "Жавхлант", "zipcode": "41193"}]}, {"label": "Жаргалант", "zipcode": "41200", "sub_items": [{"label": "Буурал", "zipcode": "41201"}, {"label": "Өгөөмөр", "zipcode": "41203"}, {"label": "Баянбулаг", "zipcode": "41205"}, {"label": "Загдал", "zipcode": "41207"}]}, {"label": "Баянхангай", "zipcode": "41210", "sub_items": [{"label": "Хөшөөт", "zipcode": "41211"}, {"label": "Найрамдал", "zipcode": "41213"}]}, {"label": "Угтаалцайдам", "zipcode": "41220", "sub_items": [{"label": "Асгат", "zipcode": "41221"}, {"label": "Хар чулуут", "zipcode": "41223"}, {"label": "Талын-Уул", "zipcode": "41225"}]}, {"label": "Цээл", "zipcode": "41230", "sub_items": [{"label": "Хүүлээхан", "zipcode": "41231"}, {"label": "Сүүл буга", "zipcode": "41233"}, {"label": "Оргил", "zipcode": "41235"}, {"label": "Талын хайрхан", "zipcode": "41237"}, {"label": "Майхан", "zipcode": "41239"}]}, {"label": "Лүн", "zipcode": "41240", "sub_items": [{"label": "Авдрант", "zipcode": "41241"}, {"label": "Цагаан уул", "zipcode": "41243"}, {"label": "Төвийн", "zipcode": "41245"}, {"label": "Өгөөмөр", "zipcode": "41247"}]}, {"label": "Өндөрширээт", "zipcode": "41250", "sub_items": [{"label": "Баянтуул", "zipcode": "41251"}, {"label": "Сант", "zipcode": "41253"}, {"label": "Хайрхан", "zipcode": "41255"}, {"label": "Уянга", "zipcode": "41257"}]}, {"label": "Бүрэн", "zipcode": "41260", "sub_items": [{"label": "Булангаа", "zipcode": "41261"}, {"label": "Монгол", "zipcode": "41263"}, {"label": "Эрдэнэхангай", "zipcode": "41265"}, {"label": "Төхөм", "zipcode": "41267"}, {"label": "Баянцогт", "zipcode": "41269"}]}, {"label": "Заамар", "zipcode": "41270", "sub_items": [{"label": "Төв", "zipcode": "41271"}, {"label": "Тосон", "zipcode": "41273"}, {"label": "Хайлааст", "zipcode": "41275"}, {"label": "Төмстэй", "zipcode": "41277"}]}, {"label": "Дэлгэрхаан", "zipcode": "41280", "sub_items": [{"label": "Тарган", "zipcode": "41281"}, {"label": "Мандал", "zipcode": "41283"}, {"label": "Давст", "zipcode": "41285"}, {"label": "Дуут-Хуримт", "zipcode": "41287"}]}, {"label": "Эрдэнэсант", "zipcode": "41290", "sub_items": [{"label": "Улаанхудаг", "zipcode": "41291"}, {"label": "Угалзат", "zipcode": "41293"}, {"label": "Буянт", "zipcode": "41295"}, {"label": "Баян-Уул", "zipcode": "41297"}, {"label": "Баргиалт", "zipcode": "41299"}]}]}, {"label": "Говьсүмбэр", "zipcode": "42000", "sub_items": [{"label": "Сүмбэр", "zipcode": "42010", "sub_items": [{"label": "6-р баг", "zipcode": "42011"}, {"label": "5-р баг", "zipcode": "42013"}, {"label": "3-р баг", "zipcode": "42015"}, {"label": "2-р баг", "zipcode": "42017"}, {"label": "1-р баг", "zipcode": "42019"}, {"label": "4-р баг", "zipcode": "42021"}, {"label": "2-р баг", "zipcode": "42023"}]}, {"label": "Шивээговь", "zipcode": "42030", "sub_items": [{"label": "1-р баг", "zipcode": "42031"}, {"label": "2-р баг", "zipcode": "42033"}]}, {"label": "Баянтал", "zipcode": "42040", "sub_items": [{"label": "2-р баг", "zipcode": "42041"}, {"label": "1-р баг", "zipcode": "42043"}]}]}, {"label": "Сэлэнгэ", "zipcode": "43000", "sub_items": [{"label": "Ерөө", "zipcode": "43010", "sub_items": [{"label": "Бугант", "zipcode": "43011"}, {"label": "Буургачин", "zipcode": "43013"}, {"label": "Тавин", "zipcode": "43015"}]}, {"label": "Хүдэр", "zipcode": "43020", "sub_items": [{"label": "Баянцагаан", "zipcode": "43021"}, {"label": "Тарвагатай", "zipcode": "43023"}]}, {"label": "Мандал сум", "zipcode": "43030", "sub_items": [{"label": "Түнхэл", "zipcode": "43031"}, {"label": "Баянхангай", "zipcode": "43032"}, {"label": "Ширхэнцэг", "zipcode": "43033"}, {"label": "Минжхангай", "zipcode": "43034"}, {"label": "Замчин", "zipcode": "43035"}, {"label": "Тарина", "zipcode": "43036"}, {"label": "Хэрх", "zipcode": "43037"}, {"label": "Баян арцат", "zipcode": "43038"}, {"label": "Баянсуудал", "zipcode": "43039"}]}, {"label": "Алтанбулаг", "zipcode": "43040", "sub_items": [{"label": "Цөх", "zipcode": "43041"}, {"label": "Суварга", "zipcode": "43043"}, {"label": "Бүргэдтэй", "zipcode": "43045"}]}, {"label": "Жавхлант", "zipcode": "43050", "sub_items": [{"label": "Моностой", "zipcode": "43051"}, {"label": "Бумбат", "zipcode": "43053"}]}, {"label": "Баянгол", "zipcode": "43060", "sub_items": [{"label": "Баян", "zipcode": "43061"}, {"label": "Гонир", "zipcode": "43063"}, {"label": "Хараа", "zipcode": "43065"}]}, {"label": "Шаамар", "zipcode": "43070", "sub_items": [{"label": "Дулаанхаан", "zipcode": "43071"}, {"label": "Дэлгэрхаан", "zipcode": "43073"}, {"label": "Охиндий", "zipcode": "43075"}]}, {"label": "Сүхбаатар сум", "zipcode": "43080", "sub_items": [{"label": "Цагаан эрэг", "zipcode": "43081"}, {"label": "Орхон", "zipcode": "43082"}, {"label": "Хонгор морьт", "zipcode": "43083"}, {"label": "Ганзам", "zipcode": "43084"}, {"label": "Салхит", "zipcode": "43085"}, {"label": "Буур хээр", "zipcode": "43086"}, {"label": "Бор гүвээ", "zipcode": "43087"}, {"label": "Баянхан", "zipcode": "43089"}]}, {"label": "Зүүнбүрэн", "zipcode": "43090", "sub_items": [{"label": "Мангирт", "zipcode": "43091"}, {"label": "Жаргалант", "zipcode": "43093"}, {"label": "Бэлчир", "zipcode": "43095"}]}, {"label": "Түшиг", "zipcode": "43100", "sub_items": [{"label": "Ар нуга", "zipcode": "43101"}, {"label": "Жаргалмандах", "zipcode": "43103"}]}, {"label": "Цагааннуур", "zipcode": "43110", "sub_items": [{"label": "Тийрэг", "zipcode": "43111"}, {"label": "Хуурч", "zipcode": "43113"}, {"label": "Оргих", "zipcode": "43115"}]}, {"label": "Хушаат", "zipcode": "43120", "sub_items": [{"label": "Мөнхтолгой", "zipcode": "43121"}, {"label": "Ишгэнт", "zipcode": "43123"}]}, {"label": "Сайхан сум", "zipcode": "43130", "sub_items": [{"label": "Хөтөл", "zipcode": "43131"}, {"label": "Номгон", "zipcode": "43133"}, {"label": "Гавшгай", "zipcode": "43135"}, {"label": "Дөмбөн", "zipcode": "43137"}]}, {"label": "Орхон", "zipcode": "43140", "sub_items": [{"label": "Бэлэн далай", "zipcode": "43141"}, {"label": "Орхон", "zipcode": "43143"}]}, {"label": "Сант", "zipcode": "43150", "sub_items": [{"label": "Хушаат", "zipcode": "43151"}, {"label": "Ивэн", "zipcode": "43153"}]}, {"label": "Орхонтуул", "zipcode": "43160", "sub_items": [{"label": "Баянцогт", "zipcode": "43161"}, {"label": "Шар-Ус", "zipcode": "43163"}, {"label": "Хонгор-Овоо", "zipcode": "43165"}]}, {"label": "Баруунбүрэн", "zipcode": "43170", "sub_items": [{"label": "Ивэн", "zipcode": "43171"}, {"label": "Бургалтай", "zipcode": "43173"}, {"label": "Цагаан-овоо", "zipcode": "43175"}]}]}, {"label": "Дорноговь", "zipcode": "44000", "sub_items": [{"label": "Замын-Үүд сум", "zipcode": "44010", "sub_items": [{"label": "2-р баг", "zipcode": "44011"}, {"label": "3-р баг", "zipcode": "44012"}, {"label": "1-р баг", "zipcode": "44013"}, {"label": "4-р баг", "zipcode": "44014"}, {"label": "5-р баг", "zipcode": "44015"}]}, {"label": "Эрдэнэ", "zipcode": "44020", "sub_items": [{"label": "Дөрвөлж", "zipcode": "44021"}, {"label": "Еншөөв", "zipcode": "44023"}, {"label": "Улаан уул", "zipcode": "44025"}, {"label": "Цагаан хөтөл", "zipcode": "44027"}, {"label": "Бүрдэнэ", "zipcode": "44029"}]}, {"label": "Өргөн", "zipcode": "44030", "sub_items": [{"label": "Сүмбэр", "zipcode": "44031"}, {"label": "Баянмөнх", "zipcode": "44033"}, {"label": "Сэнж", "zipcode": "44035"}, {"label": "Сүмийн булаг", "zipcode": "44037"}]}, {"label": "Дэлгэрэх", "zipcode": "44040", "sub_items": [{"label": "Аманшанд", "zipcode": "44041"}, {"label": "Бумбат", "zipcode": "44043"}, {"label": "Хонгор", "zipcode": "44045"}, {"label": "Цагаанхад", "zipcode": "44047"}]}, {"label": "Улаанбадрах", "zipcode": "44050", "sub_items": [{"label": "Баянбогд", "zipcode": "44051"}, {"label": "Сангийн далай", "zipcode": "44053"}, {"label": "Нүдэн", "zipcode": "44055"}, {"label": "Аргалант", "zipcode": "44057"}]}, {"label": "Хөвсгөл", "zipcode": "44060", "sub_items": [{"label": "Жавхлант", "zipcode": "44061"}, {"label": "Хөвсгөл", "zipcode": "44063"}, {"label": "Элст", "zipcode": "44065"}, {"label": "Чулуут", "zipcode": "44067"}]}, {"label": "Алтанширээ", "zipcode": "44070", "sub_items": [{"label": "Зараа", "zipcode": "44071"}, {"label": "Тойг", "zipcode": "44073"}, {"label": "Чулуун гишгэр", "zipcode": "44075"}, {"label": "Хаяа", "zipcode": "44077"}]}, {"label": "Хатанбулаг", "zipcode": "44080", "sub_items": [{"label": "Халив", "zipcode": "44081"}, {"label": "Замын шанд", "zipcode": "44082"}, {"label": "Сулинхээр", "zipcode": "44083"}, {"label": "Аман ус", "zipcode": "44085"}, {"label": "Эргэл", "zipcode": "44087"}, {"label": "Агаруут", "zipcode": "44089"}]}, {"label": "Иххэт", "zipcode": "44090", "sub_items": [{"label": "Баян", "zipcode": "44091"}, {"label": "Зүлэгт", "zipcode": "44093"}, {"label": "Бүрдэнэ", "zipcode": "44095"}]}, {"label": "Сайншанд сум", "zipcode": "44100", "sub_items": [{"label": "4-р баг", "zipcode": "44101"}, {"label": "6-р баг", "zipcode": "44102"}, {"label": "3-р баг", "zipcode": "44103"}, {"label": "7-р баг", "zipcode": "44104"}, {"label": "2-р баг", "zipcode": "44105"}, {"label": "1-р баг", "zipcode": "44107"}, {"label": "5-р баг", "zipcode": "44109"}]}, {"label": "Сайхандулаан", "zipcode": "44110", "sub_items": [{"label": "Улаан шороот", "zipcode": "44111"}, {"label": "Цохио", "zipcode": "44113"}, {"label": "Жаргалант", "zipcode": "44115"}, {"label": "Өлзийт", "zipcode": "44117"}]}, {"label": "Айраг", "zipcode": "44120", "sub_items": [{"label": "Сайн ус", "zipcode": "44121"}, {"label": "Нүдэн", "zipcode": "44123"}, {"label": "Цагаан дөрвөлж", "zipcode": "44125"}, {"label": "Нард", "zipcode": "44127"}]}, {"label": "Даланжаргалан", "zipcode": "44130", "sub_items": [{"label": "Өнгөт", "zipcode": "44131"}, {"label": "Цомог", "zipcode": "44133"}, {"label": "Олон-Овоод", "zipcode": "44134"}, {"label": "Элдэв", "zipcode": "44135"}, {"label": "Бичигт", "zipcode": "44137"}]}, {"label": "Мандах", "zipcode": "44140", "sub_items": [{"label": "Сэрвэн баян хошуу", "zipcode": "44141"}, {"label": "Алхан тээг", "zipcode": "44143"}, {"label": "Өехий", "zipcode": "44145"}, {"label": "Төхөм", "zipcode": "44147"}, {"label": "Баянхошуу", "zipcode": "44149"}]}]}, {"label": "Дархан-Уул", "zipcode": "45000", "sub_items": [{"label": "Шарын гол", "zipcode": "45010", "sub_items": [{"label": "Санжинт", "zipcode": "45011"}, {"label": "Дархан", "zipcode": "45013"}, {"label": "Хайрхан", "zipcode": "45015"}]}, {"label": "Хонгор", "zipcode": "45020", "sub_items": [{"label": "Салхит", "zipcode": "45021"}, {"label": "Буурт", "zipcode": "45023"}, {"label": "Буурал", "zipcode": "45025"}]}, {"label": "Орхон", "zipcode": "45030", "sub_items": [{"label": "Энхтал", "zipcode": "45031"}, {"label": "Баян-Өлзийт", "zipcode": "45033"}]}, {"label": "Дархан сум", "zipcode": "45040", "sub_items": [{"label": "7-р баг", "zipcode": "45041"}, {"label": "8-р баг", "zipcode": "45043"}, {"label": "16-р баг", "zipcode": "45045"}, {"label": "15-р баг", "zipcode": "45047"}, {"label": "12-р баг", "zipcode": "45049"}, {"label": "13-р баг", "zipcode": "45051"}, {"label": "6-р баг", "zipcode": "45053"}, {"label": "11-р баг", "zipcode": "45055"}, {"label": "10-р баг", "zipcode": "45057"}, {"label": "14-р баг", "zipcode": "45059"}, {"label": "9-р баг", "zipcode": "45061"}, {"label": "17-р баг", "zipcode": "45062"}, {"label": "5-р баг", "zipcode": "45063"}, {"label": "18-р баг", "zipcode": "45064"}, {"label": "4-р баг", "zipcode": "45065"}, {"label": "1-р баг", "zipcode": "45067"}, {"label": "2-р баг", "zipcode": "45069"}, {"label": "3-р баг", "zipcode": "45071"}]}]}, {"label": "Өмнөговь", "zipcode": "46000", "sub_items": [{"label": "Ханбогд", "zipcode": "46010", "sub_items": [{"label": "Номгон", "zipcode": "46011"}, {"label": "Баян", "zipcode": "46013"}, {"label": "Жавхлант", "zipcode": "46015"}, {"label": "Гавилууд", "zipcode": "46017"}, {"label": "Хайрхан", "zipcode": "46019"}]}, {"label": "Манлай", "zipcode": "46020", "sub_items": [{"label": "Өгөөмөр", "zipcode": "46021"}, {"label": "Өехий", "zipcode": "46023"}, {"label": "Жаргалант", "zipcode": "46025"}, {"label": "Далай", "zipcode": "46027"}]}, {"label": "Баян-Овоо", "zipcode": "46030", "sub_items": [{"label": "Могой", "zipcode": "46031"}, {"label": "Харзаг", "zipcode": "46033"}, {"label": "Налих", "zipcode": "46035"}]}, {"label": "Цогтцэций", "zipcode": "46040", "sub_items": [{"label": "Билгэх", "zipcode": "46041"}, {"label": "Сийрст", "zipcode": "46043"}, {"label": "Цагаан Овоо", "zipcode": "46045"}, {"label": "Өгөөмөр", "zipcode": "46047"}]}, {"label": "Номгон", "zipcode": "46050", "sub_items": [{"label": "Богт", "zipcode": "46051"}, {"label": "Эмгэн булаг", "zipcode": "46053"}, {"label": "Хармагтай", "zipcode": "46055"}, {"label": "Дэрсэнэ Ус", "zipcode": "46057"}, {"label": "Төхөм", "zipcode": "46059"}]}, {"label": "Цогт-Овоо", "zipcode": "46060", "sub_items": [{"label": "Бортээг", "zipcode": "46061"}, {"label": "Замын шанд", "zipcode": "46063"}, {"label": "Найз", "zipcode": "46065"}]}, {"label": "Ханхонгор", "zipcode": "46070", "sub_items": [{"label": "Хондот", "zipcode": "46071"}, {"label": "Өгөөмөр", "zipcode": "46073"}, {"label": "Жаргалант", "zipcode": "46075"}, {"label": "Мандах", "zipcode": "46077"}]}, {"label": "Даланзадгад", "zipcode": "46080", "sub_items": [{"label": "Цагаан булаг", "zipcode": "46081"}, {"label": "Их Уул", "zipcode": "46082"}, {"label": "Далан", "zipcode": "46083"}, {"label": "Хан-Уул", "zipcode": "46084"}, {"label": "Зүүн сайхан", "zipcode": "46085"}, {"label": "Дунд сайхан", "zipcode": "46086"}, {"label": "Оюут", "zipcode": "46087"}, {"label": "Баруун сайхан", "zipcode": "46089"}]}, {"label": "Мандал-Овоо", "zipcode": "46090", "sub_items": [{"label": "Баянхошуу", "zipcode": "46091"}, {"label": "Өтгөн", "zipcode": "46093"}, {"label": "Мандал", "zipcode": "46095"}]}, {"label": "Хүрмэн", "zipcode": "46100", "sub_items": [{"label": "Хүрмэн", "zipcode": "46101"}, {"label": "Тулга", "zipcode": "46103"}, {"label": "Жанжин", "zipcode": "46105"}]}, {"label": "Булган", "zipcode": "46110", "sub_items": [{"label": "Дал", "zipcode": "46111"}, {"label": "Булган", "zipcode": "46113"}, {"label": "Хавцгайт", "zipcode": "46115"}, {"label": "Дэн", "zipcode": "46117"}]}, {"label": "Баяндалай", "zipcode": "46120", "sub_items": [{"label": "Баян", "zipcode": "46121"}, {"label": "Наран", "zipcode": "46123"}, {"label": "Төхөм", "zipcode": "46125"}]}, {"label": "Сэврэй", "zipcode": "46130", "sub_items": [{"label": "Хоолт", "zipcode": "46131"}, {"label": "Бүйлсэн", "zipcode": "46133"}, {"label": "Сайншанд", "zipcode": "46135"}]}, {"label": "Ноён", "zipcode": "46140", "sub_items": [{"label": "Сайран", "zipcode": "46141"}, {"label": "Ганзагад", "zipcode": "46143"}]}, {"label": "Гурвантэс", "zipcode": "46150", "sub_items": [{"label": "Баясах", "zipcode": "46151"}, {"label": "Гоёот", "zipcode": "46153"}, {"label": "Урт", "zipcode": "46155"}, {"label": "Тост", "zipcode": "46157"}, {"label": "Бага-Овоо", "zipcode": "46159"}]}]}, {"label": "Дундговь", "zipcode": "48000", "sub_items": [{"label": "Өндөршил", "zipcode": "48010", "sub_items": [{"label": "Талын нар", "zipcode": "48011"}, {"label": "Цог", "zipcode": "48013"}]}, {"label": "Баянжаргалан", "zipcode": "48020", "sub_items": [{"label": "Шилийн гол", "zipcode": "48021"}, {"label": "Аргатай", "zipcode": "48022"}, {"label": "Энгэр ус", "zipcode": "48023"}]}, {"label": "Цагаандэлгэр", "zipcode": "48030", "sub_items": [{"label": "Дэлгэрэх зам", "zipcode": "48031"}, {"label": "Замын улаан", "zipcode": "48033"}, {"label": "Жаргалан", "zipcode": "48035"}, {"label": "Хараат", "zipcode": "48037"}]}, {"label": "Өлзийт", "zipcode": "48040", "sub_items": [{"label": "Буянт-1", "zipcode": "48041"}, {"label": "Буянт-2", "zipcode": "48043"}, {"label": "Рашаант", "zipcode": "48045"}, {"label": "Дэрт-1", "zipcode": "48047"}, {"label": "Тагт", "zipcode": "48049"}, {"label": "Дэрт-2", "zipcode": "48051"}, {"label": "Чулуут", "zipcode": "48053"}, {"label": "Гурвансайхан", "zipcode": "48055"}, {"label": "Суугаант", "zipcode": "48057"}, {"label": "Дэрсэнэ-Ус", "zipcode": "48059"}]}, {"label": "Гурвансайхан", "zipcode": "48060", "sub_items": [{"label": "Элгэн", "zipcode": "48061"}, {"label": "Гурвансайхан", "zipcode": "48063"}, {"label": "Суугаант", "zipcode": "48065"}, {"label": "Чулуут", "zipcode": "48067"}, {"label": "Дэрсэнэ ус", "zipcode": "48069"}]}, {"label": "Говьугтаал", "zipcode": "48070", "sub_items": [{"label": "Хонгор", "zipcode": "48071"}, {"label": "Морьт", "zipcode": "48073"}, {"label": "Ажирхай", "zipcode": "48075"}]}, {"label": "Дэрэн", "zipcode": "48080", "sub_items": [{"label": "Бумбат", "zipcode": "48081"}, {"label": "Долоод", "zipcode": "48083"}, {"label": "Алаг-Өндөр", "zipcode": "48085"}, {"label": "Саруул", "zipcode": "48087"}]}, {"label": "Сайнцагаан", "zipcode": "48090", "sub_items": [{"label": "Далай", "zipcode": "48091"}, {"label": "Боржигон", "zipcode": "48093"}, {"label": "Айраг", "zipcode": "48095"}, {"label": "Мандал", "zipcode": "48097"}, {"label": "Арвижих", "zipcode": "48099"}, {"label": "Нарлаг", "zipcode": "48101"}, {"label": "Үйзэн", "zipcode": "48103"}, {"label": "Тэвш", "zipcode": "48105"}, {"label": "Наран", "zipcode": "48107"}]}, {"label": "Дэлгэрцогт", "zipcode": "48110", "sub_items": [{"label": "Дэлгэр-Эмт", "zipcode": "48111"}, {"label": "Цахиурт", "zipcode": "48113"}, {"label": "Баянбулаг", "zipcode": "48115"}]}, {"label": "Луус", "zipcode": "48120", "sub_items": [{"label": "Наран", "zipcode": "48121"}, {"label": "Зүлэгтий", "zipcode": "48122"}, {"label": "Суварга", "zipcode": "48123"}]}, {"label": "Хулд", "zipcode": "48130", "sub_items": [{"label": "Шувуутай", "zipcode": "48131"}, {"label": "Олдох", "zipcode": "48133"}, {"label": "Уул", "zipcode": "48135"}, {"label": "Бүлээн", "zipcode": "48137"}]}, {"label": "Адаацаг", "zipcode": "48140", "sub_items": [{"label": "Өвөр урт", "zipcode": "48141"}, {"label": "Тавин", "zipcode": "48143"}, {"label": "Ар урт", "zipcode": "48145"}, {"label": "Сүм", "zipcode": "48147"}, {"label": "Хашаат", "zipcode": "48149"}]}, {"label": "Эрдэнэдалай", "zipcode": "48150", "sub_items": [{"label": "Рашаант", "zipcode": "48151"}, {"label": "Цагаан овоо", "zipcode": "48153"}, {"label": "Сангийн-далай", "zipcode": "48155"}, {"label": "Сумын төв", "zipcode": "48157"}, {"label": "Тэнгэлэг", "zipcode": "48159"}, {"label": "Цавчир", "zipcode": "48161"}, {"label": "Өнгөт", "zipcode": "48163"}]}, {"label": "Дэлгэрхангай", "zipcode": "48170", "sub_items": [{"label": "Толь", "zipcode": "48171"}, {"label": "Сумын төв", "zipcode": "48173"}, {"label": "Ар шавагтай", "zipcode": "48175"}, {"label": "Тарагт", "zipcode": "48177"}]}, {"label": "Сайхан-Овоо", "zipcode": "48180", "sub_items": [{"label": "Төгрөг", "zipcode": "48181"}, {"label": "Найз", "zipcode": "48183"}, {"label": "Онги", "zipcode": "48185"}, {"label": "Мааньт", "zipcode": "48187"}, {"label": "Боршоо", "zipcode": "58191"}]}]}, {"label": "Орхон", "zipcode": "61000", "sub_items": [{"label": "Жаргалант", "zipcode": "61010", "sub_items": [{"label": "Дулаан-Уул", "zipcode": "61011"}, {"label": "Улаантолгой", "zipcode": "61013"}, {"label": "Жаргалант", "zipcode": "61015"}]}, {"label": "Баян-Өндөр сум", "zipcode": "61020", "sub_items": [{"label": "Баянцагаан", "zipcode": "61021"}, {"label": "Говил", "zipcode": "61023"}, {"label": "Оюут", "zipcode": "61025"}, {"label": "Хүрэнбулаг", "zipcode": "61027"}, {"label": "Зэст", "zipcode": "61029"}, {"label": "Бүрэнбүст", "zipcode": "61031"}, {"label": "Уртбулаг", "zipcode": "61033"}, {"label": "Согоот", "zipcode": "61035"}, {"label": "Дэнж", "zipcode": "61037"}, {"label": "Эрдэнэ", "zipcode": "61038"}, {"label": "Булаг", "zipcode": "61039"}, {"label": "Баянбулаг", "zipcode": "61040"}, {"label": "Цагаанчулуут", "zipcode": "61041"}, {"label": "Шанд", "zipcode": "61043"}, {"label": "Их-залуу", "zipcode": "61044"}, {"label": "Малчин", "zipcode": "61045"}, {"label": "Наран", "zipcode": "61047"}, {"label": "Уурхайчин", "zipcode": "61049"}, {"label": "Рашаант", "zipcode": "61051"}, {"label": "Даваат", "zipcode": "61053"}, {"label": "Яргуйт", "zipcode": "61055"}, {"label": "Уртын гол", "zipcode": "61057"}]}]}, {"label": "Өвөрхангай", "zipcode": "62000", "sub_items": [{"label": "Баян-Өндөр", "zipcode": "62010", "sub_items": [{"label": "Өвөр зүлэгт", "zipcode": "62011"}, {"label": "Батхаан", "zipcode": "62013"}, {"label": "Хар тойром", "zipcode": "62015"}, {"label": "Бумбат", "zipcode": "62017"}, {"label": "Бөмбий", "zipcode": "62019"}]}, {"label": "Бүрд", "zipcode": "62020", "sub_items": [{"label": "Ар-жаргалант", "zipcode": "62021"}, {"label": "Донгит", "zipcode": "62023"}, {"label": "Онгон", "zipcode": "62025"}, {"label": "Ар-хөшөөт", "zipcode": "62027"}, {"label": "Их-Боригдой", "zipcode": "62029"}]}, {"label": "Есөнзүйл", "zipcode": "62030", "sub_items": [{"label": "Тахилга", "zipcode": "62031"}, {"label": "Мөнхбулаг", "zipcode": "62033"}, {"label": "Эрээн", "zipcode": "62035"}, {"label": "Хайрхан", "zipcode": "62037"}]}, {"label": "Сант", "zipcode": "62040", "sub_items": [{"label": "Цахиурт", "zipcode": "62041"}, {"label": "Улаан-Овоо", "zipcode": "62043"}, {"label": "Залаа", "zipcode": "62045"}, {"label": "Майхан", "zipcode": "62047"}, {"label": "Цариг", "zipcode": "62049"}]}, {"label": "Өлзийт", "zipcode": "62050", "sub_items": [{"label": "Бор-хошуу", "zipcode": "62051"}, {"label": "Аргуйт", "zipcode": "62053"}, {"label": "Гуулин", "zipcode": "62055"}, {"label": "Яргайт", "zipcode": "62057"}]}, {"label": "Баянгол", "zipcode": "62060", "sub_items": [{"label": "Хаяа", "zipcode": "62061"}, {"label": "Цагаан-булан", "zipcode": "62063"}, {"label": "Ширээ", "zipcode": "62065"}, {"label": "Цавын-ихэр", "zipcode": "62067"}, {"label": "Эргэн-дэнж", "zipcode": "62069"}, {"label": "Өнц", "zipcode": "62071"}]}, {"label": "Төгрөг", "zipcode": "62080", "sub_items": [{"label": "Сайн-төгрөг", "zipcode": "62081"}, {"label": "Баян", "zipcode": "62082"}, {"label": "Хоолт", "zipcode": "62083"}, {"label": "Их-ус", "zipcode": "62085"}, {"label": "Мазар", "zipcode": "62087"}]}, {"label": "Хархорин", "zipcode": "62090", "sub_items": [{"label": "Жалбаа", "zipcode": "62091"}, {"label": "Онгоцон-Ухаа", "zipcode": "62093"}, {"label": "Нарийн-хүр", "zipcode": "62095"}, {"label": "Эрдэнэ-толгой", "zipcode": "62097"}, {"label": "Ганган-Орхон", "zipcode": "62099"}, {"label": "Вангийн овоо", "zipcode": "62101"}, {"label": "Шанх", "zipcode": "62103"}, {"label": "Орхон", "zipcode": "62105"}]}, {"label": "Хужирт сум", "zipcode": "62110", "sub_items": [{"label": "Өвөр-модот", "zipcode": "62111"}, {"label": "Дулаан", "zipcode": "62112"}, {"label": "Шунхлай", "zipcode": "62113"}, {"label": "Шивээт", "zipcode": "62115"}, {"label": "Бэрх", "zipcode": "62117"}, {"label": "Уужим", "zipcode": "62119"}]}, {"label": "Зүүнбаян-Улаан", "zipcode": "62120", "sub_items": [{"label": "Дөлгөөн", "zipcode": "62121"}, {"label": "Дэвшил", "zipcode": "62123"}, {"label": "Хад", "zipcode": "62125"}, {"label": "Цахиурт", "zipcode": "62127"}, {"label": "Эмгэд", "zipcode": "62129"}, {"label": "Баян-Улаан", "zipcode": "62131"}, {"label": "Дэвшил", "zipcode": "62133"}, {"label": "Хад", "zipcode": "62135"}, {"label": "Цахиурт", "zipcode": "62137"}, {"label": "Эмгэд", "zipcode": "62139"}]}, {"label": "Тарагт", "zipcode": "62140", "sub_items": [{"label": "Их булаг", "zipcode": "62141"}, {"label": "Алтан тал", "zipcode": "62143"}, {"label": "Урт", "zipcode": "62145"}, {"label": "Туяа", "zipcode": "62147"}, {"label": "Арвайн тал", "zipcode": "62149"}, {"label": "Хүрэмт", "zipcode": "62151"}, {"label": "Алтан-тал", "zipcode": "62153"}, {"label": "Урт", "zipcode": "62155"}, {"label": "Туяа", "zipcode": "62157"}, {"label": "Арвайн-тал", "zipcode": "62159"}]}, {"label": "Арвайхээр сум", "zipcode": "62160", "sub_items": [{"label": "Ягаан толгой", "zipcode": "62161"}, {"label": "Ноён", "zipcode": "62162"}, {"label": "Эмт", "zipcode": "62163"}, {"label": "Зүлэгт", "zipcode": "62164"}, {"label": "Согоот", "zipcode": "62165"}, {"label": "Онги", "zipcode": "62166"}, {"label": "Дэлгэрэхийн дэнж", "zipcode": "62167"}, {"label": "Рашаант", "zipcode": "62169"}, {"label": "Өлзийт", "zipcode": "62171"}, {"label": "Арвайхээр", "zipcode": "62173"}, {"label": "Бурхи", "zipcode": "62175"}, {"label": "Дэлгэрэх", "zipcode": "62177"}, {"label": "Хүйс толгой", "zipcode": "62179"}]}, {"label": "Гучин-Ус", "zipcode": "62180", "sub_items": [{"label": "Хөөвөр", "zipcode": "62181"}, {"label": "Гучин", "zipcode": "62183"}, {"label": "Аргуйт", "zipcode": "62185"}, {"label": "Аргалант", "zipcode": "62187"}]}, {"label": "Богд", "zipcode": "62190", "sub_items": [{"label": "Гүн-Ус", "zipcode": "62191"}, {"label": "Баянтөхөм", "zipcode": "62193"}, {"label": "Далан", "zipcode": "62195"}, {"label": "Ховд", "zipcode": "62197"}, {"label": "Хөөвөр", "zipcode": "62199"}, {"label": "Ялаатай", "zipcode": "62201"}, {"label": "Цагаан толгой", "zipcode": "62203"}]}, {"label": "Бат-Өлзий", "zipcode": "62210", "sub_items": [{"label": "Бүрэгтий", "zipcode": "62211"}, {"label": "Зөрүүлэг", "zipcode": "62213"}, {"label": "Өвт", "zipcode": "62215"}, {"label": "Улаан-Ам", "zipcode": "62217"}, {"label": "Хүйтэн булаг", "zipcode": "62219"}]}, {"label": "Уянга", "zipcode": "62220", "sub_items": [{"label": "Өлт", "zipcode": "62221"}, {"label": "Бөөрөлжүүт", "zipcode": "62223"}, {"label": "Таац", "zipcode": "62225"}, {"label": "Шивээ-Овоо", "zipcode": "62227"}, {"label": "Онги", "zipcode": "62229"}, {"label": "Бадрал", "zipcode": "62231"}, {"label": "Жаргалант", "zipcode": "62233"}, {"label": "Шуранга", "zipcode": "62235"}, {"label": "Дэрсэн хонхор", "zipcode": "62237"}, {"label": "Бурхант", "zipcode": "62239"}]}, {"label": "Хайрхандулаан", "zipcode": "62240", "sub_items": [{"label": "Эмээл", "zipcode": "62241"}, {"label": "Нарт", "zipcode": "62243"}, {"label": "Марзат", "zipcode": "62245"}, {"label": "Дэрсэн хонхор", "zipcode": "62247"}, {"label": "Бурхант", "zipcode": "62249"}, {"label": "Ар агуйт", "zipcode": "62251"}, {"label": "Гучин", "zipcode": "62253"}, {"label": "Аргуйт", "zipcode": "62255"}, {"label": "Шар дов", "zipcode": "62257"}]}, {"label": "Нарийнтээл", "zipcode": "62260", "sub_items": [{"label": "Баянтээг", "zipcode": "62261"}, {"label": "Өндөр хөмөг", "zipcode": "62263"}, {"label": "Цагаан-Овоо", "zipcode": "62265"}, {"label": "Шарга", "zipcode": "62267"}]}, {"label": "Баруунбаян-Улаан", "zipcode": "62270", "sub_items": [{"label": "Өлзийт хошуу", "zipcode": "62271"}, {"label": "Хүүхдийн-Ус", "zipcode": "62273"}, {"label": "Хөөвөр", "zipcode": "62275"}, {"label": "Цагаан-Овоо", "zipcode": "62277"}, {"label": "Баянтээг", "zipcode": "62281"}, {"label": "Өндөр-хөмөг", "zipcode": "62283"}, {"label": "Цагаан-Овоо", "zipcode": "62285"}, {"label": "Шарга", "zipcode": "62287"}, {"label": "Өлзийт хошуу", "zipcode": "62291"}, {"label": "Хүүхэдийн-Ус", "zipcode": "62293"}, {"label": "Хөөвөр", "zipcode": "62295"}, {"label": "Цагаан-Овоо", "zipcode": "62297"}]}]}, {"label": "Булган", "zipcode": "63000", "sub_items": [{"label": "Баяннуур", "zipcode": "63010", "sub_items": [{"label": "Өлзийт", "zipcode": "63011"}, {"label": "Шар тал", "zipcode": "63013"}]}, {"label": "Сэлэнгэ", "zipcode": "63020", "sub_items": [{"label": "Сангалтай", "zipcode": "63021"}, {"label": "Сэлэнгэ", "zipcode": "63023"}, {"label": "Ингэт", "zipcode": "63025"}, {"label": "Тарайхтай", "zipcode": "63027"}, {"label": "Таримал", "zipcode": "63029"}]}, {"label": "Хангал", "zipcode": "63030", "sub_items": [{"label": "Сөрт", "zipcode": "63031"}, {"label": "Сумын төв", "zipcode": "63033"}, {"label": "Хялганат", "zipcode": "63035"}, {"label": "Хангал", "zipcode": "63037"}]}, {"label": "Орхон", "zipcode": "63040", "sub_items": [{"label": "Халиун", "zipcode": "63041"}, {"label": "Мааньт", "zipcode": "63043"}, {"label": "Сумын төв", "zipcode": "63045"}, {"label": "Ар булаг", "zipcode": "63047"}, {"label": "Бүхт", "zipcode": "63049"}]}, {"label": "Бүрэгхангай", "zipcode": "63050", "sub_items": [{"label": "Дэрст", "zipcode": "63051"}, {"label": "Цахт", "zipcode": "63053"}, {"label": "Дархан", "zipcode": "63055"}, {"label": "Бумбат", "zipcode": "63057"}]}, {"label": "Дашинчилэн", "zipcode": "63060", "sub_items": [{"label": "Хараат", "zipcode": "63061"}, {"label": "Доргонт", "zipcode": "63063"}, {"label": "Төв", "zipcode": "63065"}, {"label": "Лах", "zipcode": "63067"}]}, {"label": "Рашаант сум", "zipcode": "63070", "sub_items": [{"label": "Улаан Шивээт", "zipcode": "63071"}, {"label": "Аргалхайрхан", "zipcode": "63072"}, {"label": "Хар чулуут", "zipcode": "63073"}, {"label": "Хөгнө Хан", "zipcode": "63075"}]}, {"label": "Булган", "zipcode": "63080", "sub_items": [{"label": "Банзар", "zipcode": "63081"}, {"label": "Жаргалант", "zipcode": "63082"}, {"label": "Хүрэмт", "zipcode": "63083"}, {"label": "Мааньт", "zipcode": "63085"}, {"label": "Бумбат", "zipcode": "63086"}, {"label": "Хужирт", "zipcode": "63087"}, {"label": "Тээг", "zipcode": "63089"}]}, {"label": "Бугат", "zipcode": "63090", "sub_items": [{"label": "Бугат", "zipcode": "63091"}, {"label": "Баянтөгөл", "zipcode": "63093"}, {"label": "Ханжаргалант", "zipcode": "63095"}]}, {"label": "Тэшиг", "zipcode": "63100", "sub_items": [{"label": "Хужирт", "zipcode": "63101"}, {"label": "Эрэн", "zipcode": "63103"}, {"label": "Жаргалант", "zipcode": "63105"}, {"label": "Харгал", "zipcode": "63107"}, {"label": "Далан", "zipcode": "63109"}]}, {"label": "Хишиг-Өндөр", "zipcode": "63110", "sub_items": [{"label": "Банзар", "zipcode": "63111"}, {"label": "Хүрэмт", "zipcode": "63113"}, {"label": "Мааньт", "zipcode": "63115"}, {"label": "Жаргалант", "zipcode": "63117"}, {"label": "Тээг", "zipcode": "63119"}]}, {"label": "Гурванбулаг", "zipcode": "63120", "sub_items": [{"label": "Хөгнө", "zipcode": "63121"}, {"label": "Агьт", "zipcode": "63123"}, {"label": "Хулст", "zipcode": "63125"}, {"label": "Авзага", "zipcode": "63127"}, {"label": "Бэрх", "zipcode": "63129"}, {"label": "Тогоо", "zipcode": "63131"}, {"label": "Рашаант", "zipcode": "63133"}, {"label": "Ачуут", "zipcode": "63135"}, {"label": "Хужирт", "zipcode": "63137"}]}, {"label": "Хутаг-Өндөр", "zipcode": "63140", "sub_items": [{"label": "Хантай", "zipcode": "63141"}, {"label": "Хонгор", "zipcode": "63143"}, {"label": "Сумын төв", "zipcode": "63145"}, {"label": "Уньт", "zipcode": "63147"}, {"label": "Тээл", "zipcode": "63149"}]}, {"label": "Могод", "zipcode": "63150", "sub_items": [{"label": "Баянгол", "zipcode": "63151"}, {"label": "Баян-Уул", "zipcode": "63153"}, {"label": "Эрхт", "zipcode": "63155"}, {"label": "Баясгалант", "zipcode": "63157"}, {"label": "Жаргалант", "zipcode": "63159"}]}, {"label": "Сайхан", "zipcode": "63160", "sub_items": [{"label": "Ундрах", "zipcode": "63161"}, {"label": "Хүрэмт", "zipcode": "63163"}, {"label": "Угалз", "zipcode": "63165"}, {"label": "Мануулт", "zipcode": "63167"}, {"label": "Сайхан Овоо", "zipcode": "63169"}, {"label": "Хульж", "zipcode": "63171"}]}, {"label": "Баян-Агт", "zipcode": "63180", "sub_items": [{"label": "Дулаанхаан", "zipcode": "63181"}, {"label": "Халтар", "zipcode": "63183"}, {"label": "Хүрэмт", "zipcode": "63185"}, {"label": "Баянхайрхан", "zipcode": "63187"}, {"label": "Баянзүрх", "zipcode": "63189"}, {"label": "Шарга", "zipcode": "63191"}, {"label": "Хөгнө", "zipcode": "63212"}]}]}, {"label": "Баянхонгор", "zipcode": "64000", "sub_items": [{"label": "Баянлиг", "zipcode": "64010", "sub_items": [{"label": "Бага-баян", "zipcode": "64011"}, {"label": "Халбагант", "zipcode": "64013"}, {"label": "Баян-Аараг", "zipcode": "64015"}, {"label": "Хатан-суудал", "zipcode": "64017"}, {"label": "Их-баян", "zipcode": "64019"}]}, {"label": "Эрдэнэцогт", "zipcode": "64020", "sub_items": [{"label": "Жанжин", "zipcode": "64021"}, {"label": "Эрхэт хайрхан", "zipcode": "64022"}, {"label": "Өвгөнжаргалант", "zipcode": "64023"}, {"label": "Цагаан-дэнж", "zipcode": "64025"}, {"label": "Ямаат", "zipcode": "64027"}, {"label": "Сэнжит", "zipcode": "64029"}]}, {"label": "Өлзийт", "zipcode": "64030", "sub_items": [{"label": "Ёлын ам", "zipcode": "64031"}, {"label": "Худаг урт", "zipcode": "64033"}, {"label": "Бийр", "zipcode": "64035"}, {"label": "Байн ам", "zipcode": "64037"}, {"label": "Улаан уул", "zipcode": "64039"}, {"label": "Бурхант", "zipcode": "64041"}, {"label": "Дуурсах", "zipcode": "64043"}, {"label": "Гэгээн шавь", "zipcode": "64045"}]}, {"label": "Богд", "zipcode": "64050", "sub_items": [{"label": "Цэлгэр", "zipcode": "64051"}, {"label": "Луугар", "zipcode": "64053"}, {"label": "Хөөвөр", "zipcode": "64055"}, {"label": "Хориулт", "zipcode": "64057"}, {"label": "Буянт", "zipcode": "64059"}, {"label": "Алтай", "zipcode": "64061"}]}, {"label": "Жинст", "zipcode": "64070", "sub_items": [{"label": "Цагаан ус", "zipcode": "64071"}, {"label": "Бодь", "zipcode": "64073"}, {"label": "Хүйс", "zipcode": "64075"}, {"label": "Хөнөг", "zipcode": "64077"}, {"label": "Уу-булан", "zipcode": "64079"}]}, {"label": "Баян-Овоо", "zipcode": "64080", "sub_items": [{"label": "Асгамба", "zipcode": "64081"}, {"label": "Мандал хайрхан", "zipcode": "64083"}, {"label": "Хөх бүрд", "zipcode": "64085"}, {"label": "Уран хайрхан", "zipcode": "64087"}]}, {"label": "Баянхонгор сум", "zipcode": "64090", "sub_items": [{"label": "Цагаан-ус", "zipcode": "64091"}, {"label": "Шаргалжуут", "zipcode": "64093"}, {"label": "Цагаанчулуут", "zipcode": "64095"}, {"label": "Цахир", "zipcode": "64097"}, {"label": "Есөн булаг", "zipcode": "64098"}, {"label": "Угалз", "zipcode": "64099"}, {"label": "Номгон", "zipcode": "64101"}, {"label": "Дуурсах", "zipcode": "64103"}, {"label": "Гэгээн шавь", "zipcode": "64105"}, {"label": "Рашаант", "zipcode": "64107"}, {"label": "Рашаант", "zipcode": "64107"}]}, {"label": "Галуут", "zipcode": "64110", "sub_items": [{"label": "Хайрхан", "zipcode": "64111"}, {"label": "Сүмбэр", "zipcode": "64113"}, {"label": "Баян хошуу", "zipcode": "64115"}, {"label": "Мандал", "zipcode": "64117"}, {"label": "Баяннуур", "zipcode": "64119"}, {"label": "Үнэгт", "zipcode": "64121"}, {"label": "Улаансайр", "zipcode": "64123"}, {"label": "Задгай", "zipcode": "64125"}, {"label": "Хотын-булан", "zipcode": "64127"}]}, {"label": "Баянговь", "zipcode": "64130", "sub_items": [{"label": "Хэлтгий булаг", "zipcode": "64133"}, {"label": "Өргөн", "zipcode": "64135"}, {"label": "Өрхт", "zipcode": "64137"}, {"label": "Цоохор", "zipcode": "64139"}, {"label": "Залаа", "zipcode": "64141"}, {"label": "Баянбулаг", "zipcode": "64143"}]}, {"label": "Баацагаан", "zipcode": "64150", "sub_items": [{"label": "Буйлсан", "zipcode": "64151"}, {"label": "Оройн бууц", "zipcode": "64153"}, {"label": "Зүүн хаяа", "zipcode": "64155"}, {"label": "Баянсайр", "zipcode": "64157"}, {"label": "Могой", "zipcode": "64159"}, {"label": "Товгор", "zipcode": "64161"}, {"label": "Баянбулаг", "zipcode": "64163"}, {"label": "Өргөн", "zipcode": "64165"}, {"label": "Өрхт", "zipcode": "64167"}, {"label": "Цоохор", "zipcode": "64169"}]}, {"label": "Бөмбөгөр", "zipcode": "64170", "sub_items": [{"label": "Хөх толгой", "zipcode": "64171"}, {"label": "Улаан сайр", "zipcode": "64173"}, {"label": "Задгай", "zipcode": "64175"}, {"label": "Хотын булан", "zipcode": "64177"}]}, {"label": "Жаргалант", "zipcode": "64180", "sub_items": [{"label": "Нам толгой", "zipcode": "64181"}, {"label": "Хөндлөн булаг", "zipcode": "64183"}, {"label": "Эмээлтолгой", "zipcode": "64185"}, {"label": "Өлзийт өндөр", "zipcode": "64187"}]}, {"label": "Шинэжинст", "zipcode": "64190", "sub_items": [{"label": "Эрдэнэшанд", "zipcode": "64191"}, {"label": "Зараа", "zipcode": "64193"}, {"label": "Уртын гол", "zipcode": "64195"}, {"label": "Эхэн хавцгай", "zipcode": "64197"}]}, {"label": "Заг", "zipcode": "64200", "sub_items": [{"label": "Чандмань Овоо", "zipcode": "64201"}, {"label": "Залаа Овоо", "zipcode": "64203"}, {"label": "Баян булаг", "zipcode": "64205"}, {"label": "Баян Улаан", "zipcode": "64207"}]}, {"label": "Баянцагаан", "zipcode": "64210", "sub_items": [{"label": "Цэцэн", "zipcode": "64211"}, {"label": "Баянбулаг", "zipcode": "64213"}, {"label": "Жаргалант", "zipcode": "64215"}, {"label": "Дэлгэрэх", "zipcode": "64217"}, {"label": "Гичгэнэ", "zipcode": "64219"}]}, {"label": "Бууцагаан", "zipcode": "64220", "sub_items": [{"label": "Баянбүрд", "zipcode": "64221"}, {"label": "Наран", "zipcode": "64223"}, {"label": "Тэмээт", "zipcode": "64225"}, {"label": "Буянт", "zipcode": "64226"}, {"label": "Баян", "zipcode": "64227"}, {"label": "Өлзийт", "zipcode": "64229"}]}, {"label": "Гурванбулаг", "zipcode": "64230", "sub_items": [{"label": "Давааны ам", "zipcode": "64231"}, {"label": "Буга", "zipcode": "64233"}, {"label": "Хөвийн ам", "zipcode": "64235"}, {"label": "Цэнгэл", "zipcode": "64237"}, {"label": "Пионер толгой", "zipcode": "64239"}]}, {"label": "Хүрээмарал", "zipcode": "64240", "sub_items": [{"label": "Хөх бүрд", "zipcode": "64241"}, {"label": "Цорж", "zipcode": "64243"}, {"label": "Дэлгэр мөрөн", "zipcode": "64245"}, {"label": "Норовлин", "zipcode": "64247"}, {"label": "Сонор", "zipcode": "64249"}]}, {"label": "Баян-Өндөр", "zipcode": "64250", "sub_items": [{"label": "Элгэн", "zipcode": "64251"}, {"label": "Идрэн", "zipcode": "64252"}, {"label": "Булган", "zipcode": "64253"}, {"label": "Улаан үзүүр", "zipcode": "64255"}]}, {"label": "Баянбулаг", "zipcode": "64260", "sub_items": [{"label": "Хангал", "zipcode": "64261"}, {"label": "Жаргалант", "zipcode": "64263"}, {"label": "Бүрд", "zipcode": "64265"}, {"label": "Сангийн-далай", "zipcode": "64267"}]}]}, {"label": "Архангай", "zipcode": "65000", "sub_items": [{"label": "Хашаат", "zipcode": "65010", "sub_items": [{"label": "Номгон", "zipcode": "65011"}, {"label": "Жаргалант", "zipcode": "65013"}, {"label": "Баян", "zipcode": "65015"}, {"label": "Цагаан хад", "zipcode": "65017"}, {"label": "Цайдам", "zipcode": "65019"}]}, {"label": "Өлгийнуур", "zipcode": "65020", "sub_items": [{"label": "Орхон", "zipcode": "65021"}, {"label": "Өгий", "zipcode": "65023"}, {"label": "Зэгстэй", "zipcode": "65025"}, {"label": "Дойт", "zipcode": "65027"}, {"label": "Тоглох", "zipcode": "65029"}]}, {"label": "Өлзийт", "zipcode": "65030", "sub_items": [{"label": "Ямаат", "zipcode": "65031"}, {"label": "Хөшөөт", "zipcode": "65033"}, {"label": "Бодонт", "zipcode": "65035"}, {"label": "Байшир", "zipcode": "65037"}]}, {"label": "Хотонт", "zipcode": "65040", "sub_items": [{"label": "Бургалтай", "zipcode": "65041"}, {"label": "Улаан-Чулуу", "zipcode": "65043"}, {"label": "Хотонт", "zipcode": "65045"}, {"label": "Орхон", "zipcode": "65047"}, {"label": "Хөөвөр", "zipcode": "65049"}, {"label": "Өндөр сант", "zipcode": "65051"}]}, {"label": "Хайрхан", "zipcode": "65060", "sub_items": [{"label": "Могой", "zipcode": "65061"}, {"label": "Жарантай", "zipcode": "65063"}, {"label": "Өгөөмөр", "zipcode": "65065"}, {"label": "Асгат", "zipcode": "65067"}, {"label": "Хайрхан", "zipcode": "65069"}]}, {"label": "Төвшрүүлэх", "zipcode": "65070", "sub_items": [{"label": "Баян-Өндөр", "zipcode": "65071"}, {"label": "Жаарай", "zipcode": "65073"}, {"label": "Эрдэнэтолгой", "zipcode": "65075"}, {"label": "Сөрт", "zipcode": "65077"}]}, {"label": "Цэнхэр", "zipcode": "65080", "sub_items": [{"label": "Буйлан", "zipcode": "65081"}, {"label": "Тамир", "zipcode": "65083"}, {"label": "Алтан Овоо", "zipcode": "65085"}, {"label": "Цэнхэр", "zipcode": "65087"}, {"label": "Цэцэрлэг", "zipcode": "65089"}, {"label": "Орхон", "zipcode": "65091"}, {"label": "4-р баг", "zipcode": "65093"}, {"label": "5-р баг", "zipcode": "65095"}, {"label": "3-р баг", "zipcode": "65097"}, {"label": "2-р баг", "zipcode": "65099"}]}, {"label": "Батцэнгэл", "zipcode": "65100", "sub_items": [{"label": "Хөнөг", "zipcode": "65101"}, {"label": "Улаан чулуу", "zipcode": "65103"}, {"label": "Дайр бор", "zipcode": "65105"}, {"label": "Цац", "zipcode": "65107"}, {"label": "Дэл", "zipcode": "65109"}, {"label": "Баян Уул", "zipcode": "65111"}, {"label": "Улаан-Чулуу", "zipcode": "65113"}, {"label": "Дайр-бор", "zipcode": "65115"}, {"label": "Цац", "zipcode": "65117"}, {"label": "Дэл", "zipcode": "65119"}]}, {"label": "Булган", "zipcode": "65120", "sub_items": [{"label": "Баянбулаг", "zipcode": "65121"}, {"label": "Тамир", "zipcode": "65123"}, {"label": "Зуунмод", "zipcode": "65125"}, {"label": "Тусгалт", "zipcode": "65127"}]}, {"label": "Эрдэнэбулган сум", "zipcode": "65130", "sub_items": [{"label": "Цагаан дэл", "zipcode": "65131"}, {"label": "Бор толгой", "zipcode": "65133"}, {"label": "Наранбулаг", "zipcode": "65135"}, {"label": "Цагдуулт", "zipcode": "65137"}, {"label": "Арслан цохио", "zipcode": "65139"}, {"label": "Цагаан даваа", "zipcode": "65141"}, {"label": "Тамир", "zipcode": "65143"}]}, {"label": "Эрдэнэмандал", "zipcode": "65150", "sub_items": [{"label": "Идэр-Улаан", "zipcode": "65151"}, {"label": "Тээл", "zipcode": "65153"}, {"label": "Алаг Уул", "zipcode": "65155"}, {"label": "Өлзийт", "zipcode": "65157"}, {"label": "Хан Өндөр", "zipcode": "65159"}, {"label": "Эрдэнэ Уул", "zipcode": "65161"}]}, {"label": "Их тамир", "zipcode": "65170", "sub_items": [{"label": "Бугат", "zipcode": "65171"}, {"label": "Эрдэнэтолгой", "zipcode": "65173"}, {"label": "Тайхар", "zipcode": "65175"}, {"label": "Борт", "zipcode": "65177"}, {"label": "Хан-Өндөр", "zipcode": "65179"}, {"label": "Хөхнуур", "zipcode": "65181"}]}, {"label": "Цэцэрлэг", "zipcode": "65190", "sub_items": [{"label": "Хонгорж", "zipcode": "65191"}, {"label": "Их-Булаг", "zipcode": "65193"}, {"label": "Хужирт", "zipcode": "65195"}, {"label": "Туулант", "zipcode": "65197"}, {"label": "Чулуут", "zipcode": "65199"}]}, {"label": "Жаргалант", "zipcode": "65200", "sub_items": [{"label": "Зуслан", "zipcode": "65201"}, {"label": "Баянцагаан", "zipcode": "65203"}, {"label": "Эрдэнэ уул", "zipcode": "65205"}, {"label": "Асайт", "zipcode": "65207"}, {"label": "Хоолт", "zipcode": "65209"}]}, {"label": "Өндөр-Улаан", "zipcode": "65210", "sub_items": [{"label": "Хануй", "zipcode": "65211"}, {"label": "Донгой", "zipcode": "65213"}, {"label": "Азарга", "zipcode": "65215"}, {"label": "Тээл", "zipcode": "65217"}, {"label": "Бэлхи", "zipcode": "65219"}]}, {"label": "Чулуут", "zipcode": "65220", "sub_items": [{"label": "Хайрхан", "zipcode": "65221"}, {"label": "Хүрэм", "zipcode": "65223"}, {"label": "Халуун ус", "zipcode": "65225"}, {"label": "Зуунмод", "zipcode": "65227"}, {"label": "Өлзийт гол", "zipcode": "65229"}]}, {"label": "Тариат", "zipcode": "65230", "sub_items": [{"label": "Мөрөн", "zipcode": "65231"}, {"label": "Алтайд", "zipcode": "65233"}, {"label": "Бөөрөлжүүт", "zipcode": "65235"}, {"label": "Хорго", "zipcode": "65237"}, {"label": "Цагааннуур", "zipcode": "65239"}, {"label": "Тэрх", "zipcode": "65241"}, {"label": "Суман", "zipcode": "65243"}, {"label": "Халуун-ус", "zipcode": "65245"}, {"label": "Зуун-Мод", "zipcode": "65247"}, {"label": "Өлзийт-гол", "zipcode": "65249"}]}, {"label": "Хангай", "zipcode": "65250", "sub_items": [{"label": "Гичгэнэ", "zipcode": "65251"}, {"label": "Баян-Улаан", "zipcode": "65253"}, {"label": "Ноён хангай", "zipcode": "65255"}, {"label": "Ар баясгалан", "zipcode": "65257"}, {"label": "Чандмань", "zipcode": "65259"}, {"label": "Тэрх", "zipcode": "65261"}]}, {"label": "Цахир сум", "zipcode": "65270", "sub_items": [{"label": "Цахир", "zipcode": "65271"}, {"label": "Хан-Уул", "zipcode": "65273"}, {"label": "Баянгол", "zipcode": "65275"}, {"label": "Жинст", "zipcode": "65277"}]}]}, {"label": "Хөвсгөл аймаг", "zipcode": "67000", "sub_items": [{"label": "Тариалан", "zipcode": "67010", "sub_items": [{"label": "Ар тархи", "zipcode": "67011"}, {"label": "Таван толгой", "zipcode": "67013"}, {"label": "Мандал", "zipcode": "67015"}, {"label": "Давааны ар", "zipcode": "67017"}, {"label": "Сэлэнгэ", "zipcode": "67019"}, {"label": "Баянхошуу", "zipcode": "67021"}]}, {"label": "Эрдэнэбулган", "zipcode": "67030", "sub_items": [{"label": "Зэрлэг", "zipcode": "67031"}, {"label": "Удган", "zipcode": "67033"}, {"label": "Булган тал", "zipcode": "67035"}, {"label": "Дуурга", "zipcode": "67037"}, {"label": "Бөөрөлж", "zipcode": "67039"}]}, {"label": "Цагаан-Үүр", "zipcode": "67040", "sub_items": [{"label": "Уйлган", "zipcode": "67041"}, {"label": "Булган", "zipcode": "67043"}, {"label": "Үүр", "zipcode": "67045"}, {"label": "Дархит", "zipcode": "67047"}]}, {"label": "Их-Уул", "zipcode": "67050", "sub_items": [{"label": "Их-Уул", "zipcode": "67051"}, {"label": "Мандал", "zipcode": "67053"}, {"label": "Асгат", "zipcode": "67055"}, {"label": "Сэлэнгэ", "zipcode": "67057"}, {"label": "Шивээ", "zipcode": "67059"}]}, {"label": "Рашаант", "zipcode": "67060", "sub_items": [{"label": "Их-ац", "zipcode": "67061"}, {"label": "Энх тал", "zipcode": "67063"}, {"label": "Тээл 1-р баг", "zipcode": "67065"}, {"label": "Цэнгэл", "zipcode": "67067"}, {"label": "Талын ус", "zipcode": "67069"}]}, {"label": "Ханх", "zipcode": "67070", "sub_items": [{"label": "Тураг", "zipcode": "67071"}, {"label": "Турт /төвийн баг/", "zipcode": "67073"}, {"label": "Хороо", "zipcode": "67075"}]}, {"label": "Чадмань-Өндөр", "zipcode": "67080", "sub_items": [{"label": "Шивэрт", "zipcode": "67081"}, {"label": "Хөхөө", "zipcode": "67083"}, {"label": "Улаан асга", "zipcode": "67085"}, {"label": "Ёлгос", "zipcode": "67087"}, {"label": "Хайрхан толгой", "zipcode": "67088"}]}, {"label": "Түнэл", "zipcode": "67090", "sub_items": [{"label": "Зуны гол", "zipcode": "67091"}, {"label": "Навчилтай", "zipcode": "67093"}, {"label": "Булаг", "zipcode": "67095"}, {"label": "Бийж", "zipcode": "67097"}, {"label": "Баян Эрхэт", "zipcode": "67099"}, {"label": "Алтгана", "zipcode": "67101"}]}, {"label": "Тосонцэнгэл", "zipcode": "67110", "sub_items": [{"label": "Мухар хөндий", "zipcode": "67111"}, {"label": "Сэлэнгэ", "zipcode": "67113"}, {"label": "Цэнгэл", "zipcode": "67115"}, {"label": "Сүүл  Улаан", "zipcode": "67117"}, {"label": "Тээл", "zipcode": "67119"}]}, {"label": "Мөрөн сум", "zipcode": "67120", "sub_items": [{"label": "Үерт", "zipcode": "67121"}, {"label": "Наран", "zipcode": "67122"}, {"label": "Уран дөш", "zipcode": "67123"}, {"label": "Баян", "zipcode": "67124"}, {"label": "Элст", "zipcode": "67125"}, {"label": "Мандал", "zipcode": "67127"}, {"label": "Уст", "zipcode": "67129"}, {"label": "Дулаан", "zipcode": "67131"}, {"label": "Эрхэл", "zipcode": "67132"}, {"label": "Хужирт", "zipcode": "67133"}, {"label": "Сүх", "zipcode": "67135"}, {"label": "Нисэх", "zipcode": "67137"}, {"label": "Эрчим", "zipcode": "67138"}, {"label": "Жилчиг", "zipcode": "67139"}]}, {"label": "Алаг-Эрдэнэ", "zipcode": "67140", "sub_items": [{"label": "Цагаан бургас", "zipcode": "67141"}, {"label": "Хатгал тосгон", "zipcode": "67143"}, {"label": "Яргис", "zipcode": "67145"}, {"label": "Манхан", "zipcode": "67147"}, {"label": "Шувуут", "zipcode": "67149"}, {"label": "Ужиг", "zipcode": "67151"}]}, {"label": "Төмөрбулаг", "zipcode": "67160", "sub_items": [{"label": "Тариат", "zipcode": "67161"}, {"label": "Нарийн", "zipcode": "67163"}, {"label": "Жаргалант", "zipcode": "67165"}, {"label": "Бүгдгээн", "zipcode": "67167"}, {"label": "Тээл", "zipcode": "67169"}]}, {"label": "Рэнчинлхүмбэ", "zipcode": "67170", "sub_items": [{"label": "Далайн зах", "zipcode": "67171"}, {"label": "Ёлт", "zipcode": "67173"}, {"label": "Ходон", "zipcode": "67175"}, {"label": "Зөөлөн", "zipcode": "67177"}, {"label": "Хоолойн зах", "zipcode": "67179"}, {"label": "Хөндий", "zipcode": "67181"}]}, {"label": "Галт", "zipcode": "67190", "sub_items": [{"label": "Зүрх", "zipcode": "67191"}, {"label": "Хужирт", "zipcode": "67193"}, {"label": "Рашаант", "zipcode": "67195"}, {"label": "Галт", "zipcode": "67197"}, {"label": "Нүхт", "zipcode": "67199"}]}, {"label": "Арбулаг", "zipcode": "67200", "sub_items": [{"label": "Хавтага", "zipcode": "67201"}, {"label": "Сүмбэр", "zipcode": "67203"}, {"label": "Уртбулаг", "zipcode": "67205"}, {"label": "Тарганнуур", "zipcode": "67207"}, {"label": "Бор гол", "zipcode": "67209"}, {"label": "Бэл булаг", "zipcode": "67211"}]}, {"label": "Бүрэнтогтох", "zipcode": "67220", "sub_items": [{"label": "Эрчим", "zipcode": "67221"}, {"label": "Туяа", "zipcode": "67223"}, {"label": "Баянхошуу", "zipcode": "67225"}, {"label": "Их уул", "zipcode": "67227"}, {"label": "Сангийн далай", "zipcode": "67229"}, {"label": "Бүрэнхаан", "zipcode": "67231"}]}, {"label": "Шинэ-Идэр", "zipcode": "67240", "sub_items": [{"label": "Баян Зүрх", "zipcode": "67241"}, {"label": "Нүхт", "zipcode": "67243"}, {"label": "Баяннуур", "zipcode": "67245"}, {"label": "Сангийн Далай", "zipcode": "67247"}]}, {"label": "Жаргалант", "zipcode": "67250", "sub_items": [{"label": "Цагаан бургас", "zipcode": "67251"}, {"label": "Харгана", "zipcode": "67253"}, {"label": "Оргил", "zipcode": "67255"}, {"label": "Той", "zipcode": "67257"}, {"label": "Цэцүүх", "zipcode": "67259"}]}, {"label": "Цагааннуур", "zipcode": "67260", "sub_items": [{"label": "Төв", "zipcode": "67261"}, {"label": "Зүүн тайга", "zipcode": "67263"}]}, {"label": "Улаан-Уул", "zipcode": "67270", "sub_items": [{"label": "Шивлэг", "zipcode": "67271"}, {"label": "Тоом", "zipcode": "67273"}, {"label": "Төгөл", "zipcode": "67275"}, {"label": "Соёо", "zipcode": "67277"}, {"label": "Мунгараг", "zipcode": "67279"}]}, {"label": "Баянзүрх", "zipcode": "67290", "sub_items": [{"label": "Тоом", "zipcode": "67291"}, {"label": "Эмт", "zipcode": "67293"}, {"label": "Бэлтэс", "zipcode": "67295"}, {"label": "Хайс", "zipcode": "67297"}, {"label": "Агар", "zipcode": "67299"}]}, {"label": "Цагаан-Уул", "zipcode": "67300", "sub_items": [{"label": "Жаргалант", "zipcode": "67301"}, {"label": "Тосон баг", "zipcode": "67303"}, {"label": "Өвгөд", "zipcode": "67305"}, {"label": "Шарга", "zipcode": "67307"}, {"label": "Хужирт", "zipcode": "67309"}, {"label": "Агар", "zipcode": "67311"}]}, {"label": "Цэцэрлэг", "zipcode": "67320", "sub_items": [{"label": "Жаргалант", "zipcode": "67321"}, {"label": "Бүрхээр", "zipcode": "67322"}, {"label": "Согоот", "zipcode": "67323"}, {"label": "Уранхайрхан буюу Ренчинжугнай", "zipcode": "67325"}, {"label": "Халбан", "zipcode": "67327"}, {"label": "Зуун мод", "zipcode": "67329"}, {"label": "Дэлгэрхаан", "zipcode": "67331"}, {"label": "Цахир", "zipcode": "68271"}, {"label": "Цахир", "zipcode": "68291"}, {"label": "Улаан толгой", "zipcode": "74071"}, {"label": "Цэцэг гол", "zipcode": "74073"}, {"label": "Давст", "zipcode": "74077"}]}, {"label": "Хатгал сум", "zipcode": "67340", "sub_items": [{"label": "Алагцар", "zipcode": "67341"}]}]}, {"label": "Завхан", "zipcode": "81000", "sub_items": [{"label": "Их-Уул", "zipcode": "81010", "sub_items": [{"label": "Хуягт", "zipcode": "81011"}, {"label": "Хонгор", "zipcode": "81013"}, {"label": "Цэцүүх", "zipcode": "81015"}, {"label": "Баян-Ухаа", "zipcode": "81017"}, {"label": "Үржил", "zipcode": "81019"}, {"label": "Зарт", "zipcode": "81021"}]}, {"label": "Тосонцэнгэл", "zipcode": "81030", "sub_items": [{"label": "Хайрхан", "zipcode": "81031"}, {"label": "Улаан толгой", "zipcode": "81033"}, {"label": "Рашаант", "zipcode": "81035"}, {"label": "Оргих", "zipcode": "81037"}, {"label": "Идэр", "zipcode": "81039"}, {"label": "Дархан-Уул", "zipcode": "81041"}, {"label": "Баян-Улаан", "zipcode": "81043"}]}, {"label": "Тэлмэн", "zipcode": "81050", "sub_items": [{"label": "Нуур", "zipcode": "81051"}, {"label": "Баянтэгш", "zipcode": "81053"}, {"label": "Баян Айраг", "zipcode": "81055"}, {"label": "Өгөөмөр", "zipcode": "81057"}, {"label": "Өвөгдий", "zipcode": "81058"}, {"label": "Шургах", "zipcode": "81059"}]}, {"label": "Идэр", "zipcode": "81060", "sub_items": [{"label": "Мануустай", "zipcode": "81061"}, {"label": "Дархан-Уул", "zipcode": "81063"}, {"label": "Цэцэрлэг", "zipcode": "81065"}, {"label": "Загастай", "zipcode": "81067"}]}, {"label": "Отгон", "zipcode": "81070", "sub_items": [{"label": "Баянбулаг", "zipcode": "81071"}, {"label": "Буянт", "zipcode": "81073"}, {"label": "Хужирт", "zipcode": "81075"}, {"label": "Соёл", "zipcode": "81077"}, {"label": "Онц", "zipcode": "81079"}, {"label": "Бадрал", "zipcode": "81081"}]}, {"label": "Улиастай сум", "zipcode": "81090", "sub_items": [{"label": "Богдын гол", "zipcode": "81091"}, {"label": "Жаргалант", "zipcode": "81093"}, {"label": "Жинст", "zipcode": "81095"}, {"label": "Өлзийт", "zipcode": "81097"}, {"label": "Товцог", "zipcode": "81099"}, {"label": "Чигэстэй", "zipcode": "81101"}]}, {"label": "Нөмрөг", "zipcode": "81110", "sub_items": [{"label": "Нуур", "zipcode": "81111"}, {"label": "Дархан Уул", "zipcode": "81113"}, {"label": "Хөдрөг", "zipcode": "81115"}, {"label": "Хайрхан", "zipcode": "81117"}, {"label": "Баянзүрх", "zipcode": "81119"}]}, {"label": "Цагаанхайрхан", "zipcode": "81120", "sub_items": [{"label": "Цэцэрлэг", "zipcode": "81121"}, {"label": "Онц", "zipcode": "81123"}, {"label": "Баянбулаг", "zipcode": "81125"}, {"label": "Агьт", "zipcode": "81127"}]}, {"label": "Яруу", "zipcode": "81130", "sub_items": [{"label": "Жаргалант", "zipcode": "81131"}, {"label": "Өргөн", "zipcode": "81133"}, {"label": "Чандмань", "zipcode": "81135"}, {"label": "Хэц-улаан", "zipcode": "81137"}, {"label": "Зүйл", "zipcode": "81139"}]}, {"label": "Шилүүстэй", "zipcode": "81140", "sub_items": [{"label": "Сайхан", "zipcode": "81141"}, {"label": "Чандмань", "zipcode": "81143"}, {"label": "Баян-Улаан", "zipcode": "81145"}, {"label": "Хөгжил", "zipcode": "81147"}]}, {"label": "Цагаанчулуут", "zipcode": "81150", "sub_items": [{"label": "Арц", "zipcode": "81151"}, {"label": "Дэлгэр", "zipcode": "81153"}, {"label": "Баянхайрхан", "zipcode": "81155"}, {"label": "Жавцаг", "zipcode": "81157"}]}, {"label": "Баянтэс", "zipcode": "81160", "sub_items": [{"label": "Зайгал", "zipcode": "81161"}, {"label": "Хачиг", "zipcode": "81163"}, {"label": "Жавхлан", "zipcode": "81165"}, {"label": "Бужир", "zipcode": "81167"}]}, {"label": "Асгат сум", "zipcode": "81170", "sub_items": [{"label": "Аргалант", "zipcode": "81171"}, {"label": "Суварга", "zipcode": "81173"}, {"label": "Хайрхан", "zipcode": "81175"}]}, {"label": "Баянхайрхан", "zipcode": "81180", "sub_items": [{"label": "Асгат", "zipcode": "81181"}, {"label": "наран", "zipcode": "81183"}, {"label": "Төөнт", "zipcode": "81185"}, {"label": "Минж", "zipcode": "81187"}]}, {"label": "Алдархаан", "zipcode": "81190", "sub_items": [{"label": "Богдын гол", "zipcode": "81191"}, {"label": "Чигэстэй", "zipcode": "81193"}, {"label": "Алдар", "zipcode": "81195"}, {"label": "Өгөөмөр", "zipcode": "81197"}, {"label": "Аргалант", "zipcode": "81199"}, {"label": "Мандаат", "zipcode": "81201"}]}, {"label": "Түдэвтэй", "zipcode": "81210", "sub_items": [{"label": "Ойгон", "zipcode": "81211"}, {"label": "Аргалант", "zipcode": "81213"}, {"label": "Цорго", "zipcode": "81215"}, {"label": "Баянцагаан", "zipcode": "81217"}, {"label": "Шар нуруу", "zipcode": "81219"}]}, {"label": "Цэцэн-Уул", "zipcode": "81220", "sub_items": [{"label": "Шотой", "zipcode": "81221"}, {"label": "Оройн товгор", "zipcode": "81223"}, {"label": "Сангийн далай", "zipcode": "81225"}, {"label": "Жаргалант", "zipcode": "81227"}, {"label": "Батсуурь", "zipcode": "81229"}]}, {"label": "Сонгино", "zipcode": "81230", "sub_items": [{"label": "Шар нуруу", "zipcode": "81231"}, {"label": "Бор Өндөр", "zipcode": "81233"}, {"label": "Айраг", "zipcode": "81235"}, {"label": "Баян Айраг", "zipcode": "81237"}, {"label": "Тариат", "zipcode": "81239"}]}, {"label": "Эрдэнэхайрхан", "zipcode": "81240", "sub_items": [{"label": "Мөсөн", "zipcode": "81241"}, {"label": "Багануур", "zipcode": "81243"}, {"label": "Алтан", "zipcode": "81245"}, {"label": "Баянзүрх", "zipcode": "81247"}, {"label": "Хайрхан", "zipcode": "81249"}]}, {"label": "Тэс", "zipcode": "81250", "sub_items": [{"label": "Зүр", "zipcode": "81251"}, {"label": "Баян-Уул", "zipcode": "81253"}, {"label": "Нисэг", "zipcode": "81255"}, {"label": "Дооно", "zipcode": "81257"}]}, {"label": "Сантмаргац", "zipcode": "81260", "sub_items": [{"label": "Баян-Улаан", "zipcode": "81261"}, {"label": "Холбоо", "zipcode": "81263"}, {"label": "Баяннуур", "zipcode": "81265"}, {"label": "Баяндавс", "zipcode": "81267"}]}, {"label": "Завханмандал", "zipcode": "81270", "sub_items": [{"label": "Нуга", "zipcode": "81271"}, {"label": "Олонтүрүү", "zipcode": "81273"}, {"label": "Мандал", "zipcode": "81275"}, {"label": "Олонбулаг", "zipcode": "81277"}]}, {"label": "Дөрвөлжин", "zipcode": "81280", "sub_items": [{"label": "Цогт", "zipcode": "81281"}, {"label": "Буга", "zipcode": "81283"}, {"label": "Буурал", "zipcode": "81285"}, {"label": "Таван толгой", "zipcode": "81287"}, {"label": "Онц", "zipcode": "81289"}]}, {"label": "Ургамал", "zipcode": "81290", "sub_items": [{"label": "Нуур зөөхий", "zipcode": "81291"}, {"label": "Хульж", "zipcode": "81293"}, {"label": "Баян-Улаан", "zipcode": "81295"}, {"label": "Төв", "zipcode": "81297"}, {"label": "Тосгуур", "zipcode": "81299"}]}]}, {"label": "Говь-Алтай", "zipcode": "82000", "sub_items": [{"label": "Дэлгэр", "zipcode": "82010", "sub_items": [{"label": "Баян-Өндөр", "zipcode": "82011"}, {"label": "Баянхонгор", "zipcode": "82013"}, {"label": "Гуулин", "zipcode": "82015"}, {"label": "Баянсан", "zipcode": "82017"}, {"label": "Баянбуурал", "zipcode": "82019"}]}, {"label": "Чандмань", "zipcode": "82020", "sub_items": [{"label": "Чандмань-Уул", "zipcode": "82021"}, {"label": "Эрдэнэ-Уул", "zipcode": "82023"}, {"label": "Өлзийбулаг", "zipcode": "82025"}, {"label": "Сэрх-Уул", "zipcode": "82027"}]}, {"label": "Эрдэнэ", "zipcode": "82030", "sub_items": [{"label": "Цагаан-Уул", "zipcode": "82031"}, {"label": "Өлзийт", "zipcode": "82033"}, {"label": "Цэцэг нуур", "zipcode": "82035"}, {"label": "Сангийн далай", "zipcode": "82037"}]}, {"label": "Бигэр", "zipcode": "82040", "sub_items": [{"label": "Хүрэнт", "zipcode": "82041"}, {"label": "Мянгай", "zipcode": "82043"}, {"label": "Уртын гол", "zipcode": "82045"}, {"label": "Олон булаг", "zipcode": "82047"}, {"label": "Буудай", "zipcode": "82049"}]}, {"label": "Цогт", "zipcode": "82050", "sub_items": [{"label": "Гэгээт", "zipcode": "82051"}, {"label": "Далан", "zipcode": "82053"}, {"label": "Баянтоорой", "zipcode": "82055"}, {"label": "Баян-Өндөр", "zipcode": "82057"}, {"label": "Рашаант", "zipcode": "82059"}, {"label": "Төгрөг", "zipcode": "82061"}, {"label": "Баян-Улаан", "zipcode": "82063"}]}, {"label": "Тайшир", "zipcode": "82070", "sub_items": [{"label": "Хуримт", "zipcode": "82071"}, {"label": "Галуут", "zipcode": "82073"}, {"label": "Далан", "zipcode": "82075"}]}, {"label": "Есөнбулаг", "zipcode": "82080", "sub_items": [{"label": "Баянхайрхан", "zipcode": "82081"}, {"label": "Жаргалант", "zipcode": "82083"}, {"label": "Наран", "zipcode": "82085"}, {"label": "Баяншанд", "zipcode": "82087"}, {"label": "Рашаант", "zipcode": "82089"}, {"label": "Харзат", "zipcode": "82091"}, {"label": "Галуут", "zipcode": "82093"}, {"label": "Далай", "zipcode": "82095"}, {"label": "Түмэн", "zipcode": "82097"}, {"label": "Оргил", "zipcode": "82099"}]}, {"label": "Халиун", "zipcode": "82100", "sub_items": [{"label": "Чацран", "zipcode": "82101"}, {"label": "Гүүбариач", "zipcode": "82103"}, {"label": "Сүүж", "zipcode": "82105"}, {"label": "Олонбулаг", "zipcode": "82107"}]}, {"label": "Жаргалан", "zipcode": "82110", "sub_items": [{"label": "Завхан гол", "zipcode": "82111"}, {"label": "Бүрэн", "zipcode": "82113"}, {"label": "Тээл", "zipcode": "82115"}]}, {"label": "Цээл", "zipcode": "82120", "sub_items": [{"label": "Бүрэн", "zipcode": "82121"}, {"label": "Жаргалт", "zipcode": "82123"}, {"label": "Баянгол", "zipcode": "82125"}, {"label": "Дэрстэй", "zipcode": "82127"}]}, {"label": "Алтай", "zipcode": "82130", "sub_items": [{"label": "Баянцагаан", "zipcode": "82131"}, {"label": "Урт", "zipcode": "82133"}, {"label": "Бадрал", "zipcode": "82135"}, {"label": "Баян-Овоо", "zipcode": "82137"}]}, {"label": "Шарга", "zipcode": "82140", "sub_items": [{"label": "Улаан туг", "zipcode": "82141"}, {"label": "Сондуулт", "zipcode": "82143"}, {"label": "Баянгол", "zipcode": "82145"}, {"label": "Хамтын хүч", "zipcode": "82147"}]}, {"label": "Баян-Уул", "zipcode": "82150", "sub_items": [{"label": "Чандманьхайрхан", "zipcode": "82151"}, {"label": "Баянбогд", "zipcode": "82153"}, {"label": "Алтангадас", "zipcode": "82155"}, {"label": "Баянхайрхан", "zipcode": "82157"}, {"label": "Хүйсийн-говь", "zipcode": "82159"}, {"label": "Баянговь", "zipcode": "82161"}, {"label": "Завхан-гол", "zipcode": "82163"}, {"label": "Сайн-уст", "zipcode": "82165"}, {"label": "Хүйсийн-говь", "zipcode": "82167"}, {"label": "Цоохор-нуур", "zipcode": "82169"}]}, {"label": "Төгрөг", "zipcode": "82170", "sub_items": [{"label": "Хүрэнгол", "zipcode": "82171"}, {"label": "Тунгалаг", "zipcode": "82173"}, {"label": "Төгрөгийн эх", "zipcode": "82175"}, {"label": "Цагаанхайрхан", "zipcode": "82177"}, {"label": "Мааньт", "zipcode": "82179"}]}, {"label": "Хөхморьт", "zipcode": "82180", "sub_items": [{"label": "Сангийн далай", "zipcode": "82181"}, {"label": "Завхан гол", "zipcode": "82183"}, {"label": "Сайн-Уст", "zipcode": "82185"}, {"label": "Хүйсийн говь", "zipcode": "82187"}, {"label": "Цоохор нуур", "zipcode": "82189"}]}, {"label": "Дарви", "zipcode": "82190", "sub_items": [{"label": "Жавхлан", "zipcode": "82191"}, {"label": "Хужирт", "zipcode": "82193"}, {"label": "Үйлдвэр", "zipcode": "82195"}, {"label": "Ихэс нуур", "zipcode": "82197"}]}, {"label": "Бугат", "zipcode": "82200", "sub_items": [{"label": "Гаханч", "zipcode": "82201"}, {"label": "Баянгол", "zipcode": "82203"}, {"label": "Сүж", "zipcode": "82205"}, {"label": "Биж", "zipcode": "82207"}, {"label": "Ферм", "zipcode": "82209"}]}, {"label": "Тонхил", "zipcode": "82210", "sub_items": [{"label": "Бүс-Уул", "zipcode": "82211"}, {"label": "Тамч", "zipcode": "82213"}, {"label": "Алтайн-Оргил", "zipcode": "82215"}, {"label": "Зүйл", "zipcode": "82217"}, {"label": "Алтансоёмбо", "zipcode": "82219"}]}]}, {"label": "Баян-Өлгий", "zipcode": "83000", "sub_items": [{"label": "Булган", "zipcode": "83010", "sub_items": [{"label": "Улаан хус", "zipcode": "83011"}, {"label": "Сөнхөл", "zipcode": "83013"}, {"label": "Булган", "zipcode": "83015"}, {"label": "Улаагчин", "zipcode": "83017"}, {"label": "Хужирт", "zipcode": "83019"}, {"label": "Жаргалант", "zipcode": "83021"}, {"label": "Сайхан", "zipcode": "83023"}]}, {"label": "Баяннуур", "zipcode": "83030", "sub_items": [{"label": "Шар цэхээ", "zipcode": "83031"}, {"label": "Баяннуур", "zipcode": "83033"}, {"label": "Цэцэгт", "zipcode": "83035"}, {"label": "Цагаан Арал", "zipcode": "83037"}, {"label": "Цул-Улаан", "zipcode": "83039"}]}, {"label": "Алтанцөгц", "zipcode": "83040", "sub_items": [{"label": "Цагаантүнгэ", "zipcode": "83041"}, {"label": "Улаанхаргана", "zipcode": "83043"}, {"label": "Баянбулаг", "zipcode": "83045"}, {"label": "Хаш", "zipcode": "83047"}]}, {"label": "Бугат сум", "zipcode": "83050", "sub_items": [{"label": "Хатуу", "zipcode": "83051"}, {"label": "Бугат /төв/", "zipcode": "83053"}, {"label": "Улаантолгой", "zipcode": "83055"}, {"label": "Бугын гол", "zipcode": "83057"}, {"label": "Их булан", "zipcode": "83059"}, {"label": "Их булан", "zipcode": "83059"}]}, {"label": "Дэлүүн", "zipcode": "83060", "sub_items": [{"label": "Төвийн баг", "zipcode": "83061"}, {"label": "Бүргэд", "zipcode": "83063"}, {"label": "Хөхтолгой", "zipcode": "83065"}, {"label": "Шинэ айл", "zipcode": "83066"}, {"label": "Хүйтэн нуур", "zipcode": "83067"}, {"label": "Бугат", "zipcode": "83069"}, {"label": "Хар-Уул", "zipcode": "83071"}, {"label": "Ганц мод", "zipcode": "83073"}, {"label": "Ангирлаг буюу Саралахаз", "zipcode": "83075"}, {"label": "Чихэртэй", "zipcode": "83077"}, {"label": "Хүйтэн буйр", "zipcode": "83078"}, {"label": "Тал нуур", "zipcode": "83079"}]}, {"label": "Толбо", "zipcode": "83080", "sub_items": [{"label": "Бураат", "zipcode": "83081"}, {"label": "Дөрөө нуур", "zipcode": "83083"}, {"label": "Хош", "zipcode": "83085"}, {"label": "Хөх толгой /төв/", "zipcode": "83087"}, {"label": "Толбо нуур", "zipcode": "83089"}, {"label": "Хонгор өлөн", "zipcode": "83091"}]}, {"label": "Ногооннуур", "zipcode": "83100", "sub_items": [{"label": "Ховд", "zipcode": "83101"}, {"label": "Чихтэй", "zipcode": "83103"}, {"label": "Хосхаргай", "zipcode": "83105"}, {"label": "Ямаат", "zipcode": "83107"}, {"label": "Бахлаг", "zipcode": "83109"}, {"label": "Асгат", "zipcode": "83111"}, {"label": "Улаанчулуун", "zipcode": "83112"}, {"label": "Цагааннуур тосгон", "zipcode": "83113"}, {"label": "Хызылхайын", "zipcode": "83115"}]}, {"label": "Өлгий сум", "zipcode": "83120", "sub_items": [{"label": "Хуст арал", "zipcode": "83121"}, {"label": "Цагаан эрэг", "zipcode": "83123"}, {"label": "Бөхөн-уул", "zipcode": "83125"}, {"label": "Их Булан", "zipcode": "83127"}, {"label": "Ховд гол", "zipcode": "83129"}, {"label": "Ах хуст тау", "zipcode": "83131"}, {"label": "Хөх толгой", "zipcode": "83133"}, {"label": "Харасай", "zipcode": "83134"}, {"label": "Хотгор", "zipcode": "83135"}, {"label": "Бүркит", "zipcode": "83136"}, {"label": "Хөх хад", "zipcode": "83137"}, {"label": "Жасыл", "zipcode": "83138"}, {"label": "Жана ауыл", "zipcode": "83139"}]}, {"label": "Буянт", "zipcode": "83140", "sub_items": [{"label": "Хөх эрэг", "zipcode": "83141"}, {"label": "Хөлцөөт", "zipcode": "83143"}, {"label": "Өмнөгол", "zipcode": "83145"}, {"label": "Шар тохойт", "zipcode": "83147"}]}, {"label": "Алтай", "zipcode": "83150", "sub_items": [{"label": "Улаан хад", "zipcode": "83151"}, {"label": "Борбургас", "zipcode": "83152"}, {"label": "Бардам", "zipcode": "83153"}, {"label": "Чихэртэй", "zipcode": "83155"}, {"label": "Хар нуур", "zipcode": "83157"}]}, {"label": "Сагсай", "zipcode": "83160", "sub_items": [{"label": "Хол Агаш", "zipcode": "83161"}, {"label": "Ямаат", "zipcode": "83163"}, {"label": "Өмнө гол", "zipcode": "83164"}, {"label": "Аххорим", "zipcode": "83165"}, {"label": "Уужим", "zipcode": "83167"}, {"label": "Даян", "zipcode": "83168"}, {"label": "Хаг", "zipcode": "83169"}]}, {"label": "Улаанхус", "zipcode": "83170", "sub_items": [{"label": "Билүү-1", "zipcode": "83171"}, {"label": "Согоог", "zipcode": "83173"}, {"label": "Казыл жар", "zipcode": "83174"}, {"label": "Баянзүрх", "zipcode": "83175"}, {"label": "Хөх хөтөл", "zipcode": "83177"}, {"label": "Монгол гол", "zipcode": "83178"}, {"label": "Монгол гол", "zipcode": "83178"}, {"label": "Хулжаа", "zipcode": "83179"}, {"label": "Билүү-2", "zipcode": "83181"}, {"label": "Улаан эрэг", "zipcode": "83182"}, {"label": "Улаан эрэг", "zipcode": "83182"}, {"label": "Даян", "zipcode": "83183"}, {"label": "Хөх адыр", "zipcode": "83184"}, {"label": "Хөх адыр", "zipcode": "83184"}, {"label": "Их - Ойгор", "zipcode": "83185"}]}, {"label": "Цэнгэл", "zipcode": "83190", "sub_items": [{"label": "Харганат", "zipcode": "83191"}, {"label": "Хөшөөт", "zipcode": "83193"}, {"label": "Цагаантүнгэ", "zipcode": "83195"}, {"label": "Борбургас", "zipcode": "83197"}, {"label": "Загаст нуур", "zipcode": "83199"}, {"label": "Цагаан гол", "zipcode": "83201"}, {"label": "Шар говь", "zipcode": "83203"}, {"label": "Долоон гаталга", "zipcode": "83205"}, {"label": "Партизан", "zipcode": "83207"}]}]}, {"label": "Ховд", "zipcode": "84000", "sub_items": [{"label": "Дарви", "zipcode": "84010", "sub_items": [{"label": "Булаг", "zipcode": "84011"}, {"label": "Дэлгэр", "zipcode": "84013"}, {"label": "Булган", "zipcode": "84015"}, {"label": "Мөнгөн-аяга", "zipcode": "84017"}, {"label": "Мөрөн", "zipcode": "84019"}]}, {"label": "Дөргөн", "zipcode": "84020", "sub_items": [{"label": "Аргалант", "zipcode": "84021"}, {"label": "Сээр", "zipcode": "84023"}, {"label": "Өгөөмөр", "zipcode": "84025"}, {"label": "Агваш", "zipcode": "84027"}]}, {"label": "Чандмань", "zipcode": "84030", "sub_items": [{"label": "Талын булаг", "zipcode": "84031"}, {"label": "Тахилт", "zipcode": "84033"}, {"label": "Жаргалант", "zipcode": "84035"}, {"label": "Урд гол", "zipcode": "84037"}, {"label": "Баянхайрхан", "zipcode": "84039"}, {"label": "Сүлжээ", "zipcode": "84041"}, {"label": "Талын булаг", "zipcode": "84043"}, {"label": "Жаргалант", "zipcode": "84045"}, {"label": "Урд гол", "zipcode": "84047"}, {"label": "Баянхайрхан", "zipcode": "84049"}]}, {"label": "Цэцэг", "zipcode": "84050", "sub_items": [{"label": "Хажинга", "zipcode": "84051"}, {"label": "Хөшөөт", "zipcode": "84053"}, {"label": "Цэцэг нуур", "zipcode": "84055"}, {"label": "Баянгол", "zipcode": "84057"}, {"label": "Баян-Овоо", "zipcode": "84059"}]}, {"label": "Зэрэг", "zipcode": "84060", "sub_items": [{"label": "Эхэн", "zipcode": "84061"}, {"label": "Бураа", "zipcode": "84063"}, {"label": "Хөндлөн", "zipcode": "84065"}, {"label": "Бургасан", "zipcode": "84067"}, {"label": "Гүвээ", "zipcode": "84069"}]}, {"label": "Мөст", "zipcode": "84070", "sub_items": [{"label": "Улаантолгой", "zipcode": "84071"}, {"label": "Цэцэг гол", "zipcode": "84073"}, {"label": "Хужирт", "zipcode": "84075"}, {"label": "Давст", "zipcode": "84077"}, {"label": "Баянхайрхан", "zipcode": "84079"}]}, {"label": "Алтай", "zipcode": "84080", "sub_items": [{"label": "Барлаг", "zipcode": "84081"}, {"label": "Бодонч", "zipcode": "84083"}, {"label": "Алтангадас", "zipcode": "84085"}, {"label": "Тахилт", "zipcode": "84087"}]}, {"label": "Буянт", "zipcode": "84090", "sub_items": [{"label": "Нарийн гол", "zipcode": "84091"}, {"label": "Цагаан бургас", "zipcode": "84093"}, {"label": "Норжинхайрхан", "zipcode": "84095"}, {"label": "Наранхайрхан", "zipcode": "84097"}, {"label": "Цагаан эрэг", "zipcode": "84099"}]}, {"label": "Мянгад", "zipcode": "84100", "sub_items": [{"label": "Баянбулаг", "zipcode": "84101"}, {"label": "Цагаан булан", "zipcode": "84103"}, {"label": "Баян хошуу", "zipcode": "84105"}, {"label": "Чацаргант", "zipcode": "84107"}, {"label": "Гахайт", "zipcode": "84109"}]}, {"label": "Манхан", "zipcode": "84110", "sub_items": [{"label": "Зэрэг гол", "zipcode": "84111"}, {"label": "Баянгол", "zipcode": "84113"}, {"label": "Төгрөг гол", "zipcode": "84115"}, {"label": "Ботгон", "zipcode": "84117"}, {"label": "Тахилт", "zipcode": "84119"}, {"label": "Улаан хүрээ", "zipcode": "84121"}, {"label": "Хөх-үзүүр", "zipcode": "84123"}, {"label": "Жаргалан", "zipcode": "84125"}, {"label": "Улиаст", "zipcode": "84127"}, {"label": "Цагаантүнгэ", "zipcode": "84129"}]}, {"label": "Үенч", "zipcode": "84130", "sub_items": [{"label": "Нарийн гол", "zipcode": "84131"}, {"label": "Хөх үзүүр", "zipcode": "84133"}, {"label": "Улиаст", "zipcode": "84135"}, {"label": "Жаргалан", "zipcode": "84137"}, {"label": "Цагаантүнгэ", "zipcode": "84139"}]}, {"label": "Жаргалант сум", "zipcode": "84140", "sub_items": [{"label": "Цамбагарав", "zipcode": "84141"}, {"label": "Хайрхан", "zipcode": "84143"}, {"label": "Тахилт", "zipcode": "84145"}, {"label": "Рашаант", "zipcode": "84147"}, {"label": "Наран", "zipcode": "84149"}, {"label": "Цамбагарав", "zipcode": "84151"}, {"label": "Хайрхан", "zipcode": "84153"}, {"label": "Тахилт", "zipcode": "84155"}, {"label": "Рашаант", "zipcode": "84157"}, {"label": "Наран", "zipcode": "84159"}, {"label": "Магсаржав", "zipcode": "84161"}, {"label": "Жаргалан", "zipcode": "84163"}, {"label": "Буянт", "zipcode": "84165"}, {"label": "Бугат", "zipcode": "84167"}, {"label": "Бичигт", "zipcode": "84169"}]}, {"label": "Ховд", "zipcode": "84170", "sub_items": [{"label": "Баруун салаа", "zipcode": "84171"}, {"label": "Улаанбураа", "zipcode": "84173"}, {"label": "Дунд ус", "zipcode": "84175"}, {"label": "Баянбулаг", "zipcode": "84177"}, {"label": "Цагаанбургас", "zipcode": "84179"}]}, {"label": "Эрдэнэбүрэн", "zipcode": "84180", "sub_items": [{"label": "Хар ус", "zipcode": "84181"}, {"label": "Баянгол", "zipcode": "84183"}, {"label": "Шураг", "zipcode": "84185"}, {"label": "Хонгио", "zipcode": "84187"}, {"label": "Намарзан", "zipcode": "84189"}]}, {"label": "Мөнххайрхан", "zipcode": "84190", "sub_items": [{"label": "Алаг", "zipcode": "84191"}, {"label": "Сэнхэр", "zipcode": "84193"}, {"label": "Борт", "zipcode": "84195"}, {"label": "Хаг", "zipcode": "84197"}]}, {"label": "Дуут", "zipcode": "84200", "sub_items": [{"label": "Цагаан бургас", "zipcode": "84201"}, {"label": "Босго", "zipcode": "84203"}, {"label": "Хөх бэлчир", "zipcode": "84205"}, {"label": "Шивэр", "zipcode": "84207"}]}, {"label": "Булган", "zipcode": "84210", "sub_items": [{"label": "Бүрэнхайрхан", "zipcode": "84211"}, {"label": "Далт", "zipcode": "84213"}, {"label": "Баянсудал", "zipcode": "84215"}, {"label": "Баянгол", "zipcode": "84217"}, {"label": "Байтаг", "zipcode": "84219"}, {"label": "Алагтолгой", "zipcode": "84221"}, {"label": "Барлаг", "zipcode": "84281"}]}]}, {"label": "Увс", "zipcode": "85000", "sub_items": [{"label": "Зүүнхангай", "zipcode": "85010", "sub_items": [{"label": "Даланбулаг", "zipcode": "85011"}, {"label": "Хайрхан", "zipcode": "85013"}, {"label": "Жаргалант", "zipcode": "85015"}, {"label": "Баянгол", "zipcode": "85017"}]}, {"label": "Баруунтуруун", "zipcode": "85020", "sub_items": [{"label": "Зүүнтуруун", "zipcode": "85021"}, {"label": "Шанд", "zipcode": "85023"}, {"label": "Баян айраг", "zipcode": "85025"}, {"label": "Туруун", "zipcode": "85027"}]}, {"label": "Өндөрхангай", "zipcode": "85030", "sub_items": [{"label": "Цалуу", "zipcode": "85031"}, {"label": "Батсайхан", "zipcode": "85033"}, {"label": "Цэцэрлэг", "zipcode": "85035"}, {"label": "Цагаан нуур", "zipcode": "85037"}, {"label": "Жаргалант", "zipcode": "85039"}]}, {"label": "Зүүнговь", "zipcode": "85040", "sub_items": [{"label": "Тохой", "zipcode": "85041"}, {"label": "Баяннуур", "zipcode": "85043"}, {"label": "Зэл", "zipcode": "85045"}, {"label": "Өгөөмөр", "zipcode": "85047"}, {"label": "Суварга", "zipcode": "85049"}]}, {"label": "Цагаанхайрхан", "zipcode": "85050", "sub_items": [{"label": "Даланхуруу", "zipcode": "85051"}, {"label": "Ар булаг", "zipcode": "85053"}, {"label": "Хунт", "zipcode": "85055"}, {"label": "Хулж", "zipcode": "85057"}]}, {"label": "Тэс сум", "zipcode": "85060", "sub_items": [{"label": "Нуур эхэн", "zipcode": "85061"}, {"label": "Булгийн өндөр", "zipcode": "85063"}, {"label": "Цагаан толгой", "zipcode": "85065"}, {"label": "Нурагт", "zipcode": "85067"}, {"label": "Тооромт", "zipcode": "85069"}, {"label": "Ендөрт", "zipcode": "85071"}, {"label": "Ханжид", "zipcode": "85073"}, {"label": "Суварга", "zipcode": "85075"}, {"label": "Баян-Овоо", "zipcode": "85077"}, {"label": "Нуур", "zipcode": "85079"}]}, {"label": "Хяргас", "zipcode": "85080", "sub_items": [{"label": "Хангай", "zipcode": "85081"}, {"label": "Бугат", "zipcode": "85083"}, {"label": "Дэлгэр", "zipcode": "85085"}, {"label": "Хайрхан", "zipcode": "85087"}]}, {"label": "Малчин", "zipcode": "85090", "sub_items": [{"label": "Баян-Эрдэнэ", "zipcode": "85091"}, {"label": "Цалгар", "zipcode": "85093"}, {"label": "Баянмандал", "zipcode": "85095"}, {"label": "Баянхайрхан", "zipcode": "85097"}]}, {"label": "Завхан", "zipcode": "85100", "sub_items": [{"label": "Айрагнуур", "zipcode": "85103"}, {"label": "Хармагт", "zipcode": "85105"}, {"label": "Шар булаг", "zipcode": "85107"}, {"label": "Хяргас нуур", "zipcode": "85109"}]}, {"label": "Наранбулаг", "zipcode": "85110", "sub_items": [{"label": "Хужирт", "zipcode": "85111"}, {"label": "Гүнбүрд", "zipcode": "85113"}, {"label": "Алдар", "zipcode": "85115"}, {"label": "Улаан үзүүр", "zipcode": "85117"}]}, {"label": "Давст", "zipcode": "85120", "sub_items": [{"label": "Торхилог", "zipcode": "85121"}, {"label": "Зүүн хөвөө", "zipcode": "85123"}, {"label": "Хандгайт", "zipcode": "85125"}]}, {"label": "Тариалан", "zipcode": "85130", "sub_items": [{"label": "Хархираа", "zipcode": "85131"}, {"label": "Тарвагатай", "zipcode": "85133"}, {"label": "Бургастай", "zipcode": "85135"}, {"label": "Хөхөө", "zipcode": "85137"}, {"label": "Толь", "zipcode": "85139"}, {"label": "Мянган", "zipcode": "85141"}]}, {"label": "Өлгий", "zipcode": "85150", "sub_items": [{"label": "Хулст нуур", "zipcode": "85151"}, {"label": "Хөдөлмөр", "zipcode": "85153"}, {"label": "Чаргат", "zipcode": "85155"}, {"label": "Өлгий нуур", "zipcode": "85157"}]}, {"label": "Улаангом", "zipcode": "85160", "sub_items": [{"label": "1-р баг", "zipcode": "85161"}, {"label": "2-р баг", "zipcode": "85163"}, {"label": "3-р баг", "zipcode": "85165"}, {"label": "4-р баг", "zipcode": "85167"}, {"label": "5-р баг", "zipcode": "85169"}, {"label": "6-р баг", "zipcode": "85171"}, {"label": "7-р баг", "zipcode": "85173"}, {"label": "8-р баг", "zipcode": "85175"}, {"label": "9-р баг", "zipcode": "85177"}, {"label": "10-р баг", "zipcode": "85179"}, {"label": "11-р баг", "zipcode": "85181"}, {"label": "12-р баг", "zipcode": "85183"}]}, {"label": "Сагил", "zipcode": "85190", "sub_items": [{"label": "Боршоо", "zipcode": "85191"}, {"label": "Өндөр мод", "zipcode": "85193"}, {"label": "Хар мод", "zipcode": "85195"}, {"label": "Баянзүрх", "zipcode": "85197"}, {"label": "Үүрэг нуур", "zipcode": "85199"}]}, {"label": "Түргэн", "zipcode": "85200", "sub_items": [{"label": "Баянхайрхан", "zipcode": "85201"}, {"label": "Эрдэнэхайрхан", "zipcode": "85203"}, {"label": "Рашаант", "zipcode": "85205"}]}, {"label": "Өмнөговь", "zipcode": "85210", "sub_items": [{"label": "Холбоо", "zipcode": "85211"}, {"label": "Намир", "zipcode": "85213"}, {"label": "Баянгол", "zipcode": "85215"}, {"label": "Орлого", "zipcode": "85217"}, {"label": "Улиаст", "zipcode": "85219"}]}, {"label": "Бөхмөрөн", "zipcode": "85220", "sub_items": [{"label": "Хар алтад", "zipcode": "85221"}, {"label": "Байшинт", "zipcode": "85223"}, {"label": "3 жигэртэй", "zipcode": "85225"}]}, {"label": "Ховд", "zipcode": "85230", "sub_items": [{"label": "Шивэр", "zipcode": "85231"}, {"label": "Ховд", "zipcode": "85233"}, {"label": "Халиунбулаг", "zipcode": "85235"}, {"label": "Ачит", "zipcode": "85237"}]}]}
      ]
#json.loads(zip_contents)

    # LOAD PROVINCE info
    #with open('mnzipcode/province_info.json', 'r') as f: 
    #  province_info_contents = f.read()

    self.province_info: dict = [
      {"mnname": "Архангай", "name": "Arkhangai", "year_established": 1931, "area": 55313.82, "population": 94994, "density": 1.72},
      {"mnname": "Баянхонгор", "name": "Bayankhongor", "year_established": 1941, "area": 115977.8, "population": 88672, "density": 0.76},
      {"mnname": "Баян-Өлгий", "name": "Bayan-Ölgii", "year_established": 1940, "area": 45704.89, "population": 108530, "density": 2.37},
      {"mnname": "Булган", "name": "Bulgan", "year_established": 1938, "area": 48733.0, "population": 62089, "density": 1.27},
      {"mnname": "Дархан-Уул", "name": "Darkhan-Uul", "year_established": 1994, "area": 3275.0, "population": 107018, "density": 33},
      {"mnname": "Дорнод", "name": "Dornod", "year_established": 1941, "area": 123597.43, "population": 82054, "density": 0.66},
      {"mnname": "Дорноговь", "name": "Dornogovi", "year_established": 1931, "area": 109472.3, "population": 71014, "density": 0.65},
      {"mnname": "Дундговь", "name": "Dundgobi", "year_established": 1942, "area": 74690.32, "population": 47104, "density": 0.63},
      {"mnname": "Говь-Алтай", "name": "Govi-Altai", "year_established": 1940, "area": 141447.67, "population": 57748, "density": 0.41},
      {"mnname": "Говьсүмбэр", "name": "Govisümber", "year_established": 1996, "area": 5541.8, "population": 17928, "density": 3.23},
      {"mnname": "Хэнтий", "name": "Khentii", "year_established": 1930, "area": 80325.08, "population": 77957, "density": 0.97},
      {"mnname": "Ховд", "name": "Khovd", "year_established": 1931, "area": 76060.38, "population": 89712, "density": 1.18},
      {"mnname": "Хөвсгөл", "name": "Khövsgöl", "year_established": 1931, "area": 100628.82, "population": 135095, "density": 1.34},
      {"mnname": "Орхон", "name": "Orkhon", "year_established": 1994, "area": 844.0, "population": 107634, "density": 128},
      {"mnname": "Өмнөговь", "name": "Ömnögovi", "year_established": 1931, "area": 165380.47, "population": 69187, "density": 0.42},
      {"mnname": "Өвөрхангай", "name": "Övörkhangai", "year_established": 1931, "area": 62895.33, "population": 116732, "density": 1.86},
      {"mnname": "Сэлэнгэ", "name": "Selenge", "year_established": 1934, "area": 41152.63, "population": 110110, "density": 2.68},
      {"mnname": "Сүхбаатар", "name": "Sükhbaatar", "year_established": 1943, "area": 82287.15, "population": 63182, "density": 0.77},
      {"mnname": "Төв", "name": "Töv", "year_established": 1931, "area": 74042.37, "population": 94250, "density": 1.27},
      {"mnname": "Увс", "name": "Uvs", "year_established": 1931, "area": 69585.39, "population": 83223, "density": 1.2},
      {"mnname": "Завхан", "name": "Zavkhan", "year_established": 1931, "area": 82455.66, "population": 72823, "density": 0.88},
      {"mnname": "Улаанбаатар", "name": "Ulaanbaatar", "year_established": 1942, "area": 4704.4, "population": 1539810, "density": 327}
    ]
#json.loads(province_info_contents)

  @staticmethod
  def flatten_list(lst):
    result = []
    for item in lst:
      if isinstance(item, dict):
        result.append(item)
      elif isinstance(item, list):
        result.extend(ZipCode.flatten_list(item))
    return result


  def find_label_by_zipcode(self, zipcode: int, items=None) -> list:
    if items==None:
      items = self.zip_codes
    
    for item in items:
      if re.search(str(zipcode), item['zipcode'], re.IGNORECASE):
        if 'sub_items' in item:
          if 'sub_items' in item['sub_items'][0]:
            return {
              'name': item['label'],
              'stat': 'province'
            }
          else:
            return {
              'name': item['label'],
              'stat': 'sum'
            }
        else: 
          return {
              'name': item['label'],
              'stat': 'bag'
            }
      if 'sub_items' in item:
        label = self.find_label_by_zipcode(zipcode, item['sub_items'])
        if label: 
          return label
        
    return None
  
  def find_zipcode_by_name(self, name: str, items=None):
    if items==None:
      items = self.zip_codes

    results: list = []
    for item in items:
      if re.search(name, item['label'], re.IGNORECASE):
        if 'sub_items' in item:
          if 'sub_items' in item['sub_items'][0]:
            results.append( {
              'name': item['label'],
              'zipcode': item['zipcode'],
              'stat': 'province'
            } )
          else:
            results.append( {
              'name': item['label'],
              'zipcode': item['zipcode'],
              'stat': 'sum'
            } )
        else: 
          results.append( {
            'name': item['label'],
            'zipcode': item['zipcode'],
            'stat': 'bag'
          } )
      if 'sub_items' in item: 
        sub_zipcodes = self.find_zipcode_by_name(name, item['sub_items'])
        if sub_zipcodes != []:
          
          results.append(sub_zipcodes)

    return ZipCode.flatten_list(results)
  
  def get_province_info(self, province_mn_name: str) -> dict:
    for province in self.province_info:
      if province['mnname'] == province_mn_name:
        return province

  # 1
  def matching_by_zipcode(self, zipcode: int) -> dict:
    result = self.find_label_by_zipcode(zipcode)

    if result!=None:
      if result['stat'] == 'province':
        return {**result, **self.get_province_info(result['name'])}
      else:
        return result
      
  # 2
  def matching_by_name(self, name: str) -> list:
    results = self.find_zipcode_by_name(name)

    ret_data: list = []
    if results != []:
      for result in results:
        if result['stat'] == 'province':
          ret_data.append({**result, **self.get_province_info(result['name'])})
        else:
          ret_data.append(result)

      return ret_data 
    
  #3
  def isReal(self, zipcode: int) -> bool:
    result = self.find_label_by_zipcode(zipcode)
    print(result)

    if result != None:
      return True 
    return False